clc;mode(1);lines(0);
// BBWork01 -- Illustrate Time-Frequency Tiling by Wavelet Packets
//
//	Panel 1 -- Fourier Transform on side
//	Panel 2 -- Time-Frequency Rectangle
//	Panel 4 -- Signal
//
mode(-1);
scf(1);clf(1);
	n = 256;
	wplist = [ 5 8 10 ; 5 8 3 ; 5 2 10 ;  3 2 10 ; 6 32  1 ];
	sz = size(wplist); nr = sz(1); 
	for i=1:nr,
	
		d = wplist(i,1);
		b = wplist(i,2);
		k = wplist(i,3);
	
		wp = MakeWaveletPacket(d,b,k,'Coiflet',3,n);
		fwp = abs(mtlb_fft(wp));
		t = (0:(n-1)) ./n;
		wpstr = sprintf('WaveletPacket(%i,%i,%i)',d,b,k)
		
		
                subplot(2,2,2);
		qmf = MakeONFilter('Coiflet',3);
		ImageAtomicPhase('WP', [1 d b k ], n, wpstr, 256,qmf);
		subplot(2,2,1);
		
		plot(fwp(1:(n/2)),(1:(n/2))./(n/2))
		title('Frequency Domain');
		xlabel(['|FFT(' wpstr ')|']);
		ylabel('Frequency');
	
		subplot(2,2,4);
		
		plot(t,wp)
		title('Time Domain');
		ylabel(wpstr);
		xlabel('Time');
		
		
		
		//ifprint(gcf,['bbfig01' int2str(i) '.ps'])
	end
	
halt("press a key to proceed!");
clc;
mode(1);mode(1);lines(0);
// BBWork02 -- Illustrate Time-Frequency Tiling by Cosine Packets
//
//	Panel 1 -- Fourier Transform on side
//	Panel 2 -- Time-Frequency Rectangle
//	Panel 4 -- Signal
//
mode(-1);
scf(1);clf(1);

	n = 256;
	cplist = [ 4 8 10 ; 4 8 3 ; 5 13 7 ;  3 3 10 ; 6 41 1 ];
	sz = size(cplist); nr = sz(1); 
	for i=1:nr,
	
		d = cplist(i,1);
		b = cplist(i,2);
		k = cplist(i,3);
	
		cp = MakeCosinePacket(d,b,k,'Sine',6,n);
		fcp = abs(mtlb_fft(cp));
		t = (0:(n-1)) ./n;
		cpstr = sprintf('CosinePacket(%i,%i,%i)',d,b,k)
		
                subplot(2,2,2);
		ImageAtomicPhase('CP', [1 d b k ], n, cpstr);
		

		subplot(2,2,1);
		
		plot(fcp(1:(n/2)),(1:(n/2))./(n/2))
		title('Frequency Domain');
		xlabel(['|FFT(' cpstr ')|']);
		ylabel('Frequency');
	
		subplot(2,2,4);
		
		plot(t,cp)
		title('Time Domain');
		ylabel(cpstr);
		xlabel('Time');
		
		
		//ifprint(gcf, ['bbfig02' int2str(i) '.ps'])
	end
	
	
	
halt("press a key to proceed!");
clc;mode(1);lines(0);
	
	
// BBWork03 -- Ilustrate Tiling <--> Tree Correspondence, WP Dict;
//  Wavelet Packet Dictionary, n=64
//
mode(-1);
scf(1);clf(1);

	n = 64;
	L = 6;
	scf();
//
	tree = zeros(1,2^(L+1));
	ntree = tree + 1;
	wp = zeros(n,L);
//
	subplot(2,2,1)
	PlotBasisTree(tree,6,ntree,'Empty Tree')
	subplot(2,2,2)
	PlotPhaseTiling('WP',tree,wp,'WP; Dirac Basis','-')
//
	wtree = zeros(1,2^(L+1));
	for d=0:(L-2)
		wtree(node(d,0)) = 1;
	end
//
	ntree = wtree;
//
	subplot(2,2,3)
	PlotBasisTree(wtree,6,ntree,'Left-Leaning Tree')
	subplot(2,2,4)
	PlotPhaseTiling('WP',wtree,wp,'WP; Wavelet Basis','-')
	
//
	//ifprint(gcf,'bbfig031.ps')
//
	scf(2);clf(2)
//
	ftree = zeros(1,2^(L+1));
	
	ftree(1:2^L-1) = ones(1,2^L-1);
	ntree = zeros(1,2^(L+1)); a = 0;
	for d=L:-1:0,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
		a = 2*a+1;
	end
	wp = zeros(n,L);
//
	subplot(2,2,1)
	PlotBasisTree(ftree,6,ntree,'Complete Tree')
	subplot(2,2,2)
	PlotPhaseTiling('WP',ftree,wp,'WP; Quasi Fourier Basis','-')
//
	gtree = zeros(1,2^(L+1));
	ell   = 3;
	gtree(1:(2^ell-1)) = ones(1,2^ell-1);
	ntree = zeros(1,2^(L+1)); a = 0;
	for d=ell:-1:0,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
		a = 2*a + 1;
	end
	for d=ell+1:L,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
	end
//
	subplot(2,2,3)
	PlotBasisTree(gtree,6,ntree,'Partial Complete Tree')
	subplot(2,2,4)
	PlotPhaseTiling('WP',gtree,wp,'WP; Quasi Gabor Basis','-')
	
//
	//ifprint(gcf,'bbfig032.ps')
//
halt("press a key to proceed!");
clc;mode(1);lines(0);
// BBWork04 -- Ilustrate Tiling <--> Tree Correspondence, CP Dict;
//  Cosine Packet Dictionary, n=64
//
mode(-1);
scf(1);clf(1);

	n = 64;
	L = 8;
	scf();
//
	tree = zeros(1,2^(L+1));
	ntree = tree + 1;
	wp = zeros(n,L);
//
	subplot(2,2,1)
	PlotBasisTree(tree,8,ntree,'Empty Tree')
	subplot(2,2,2)
	PlotPhaseTiling('CP',tree,wp,'CP; Fourier Basis','-')
//
	wtree = zeros(1,2^(L+1));
	for d=0:(L-2)
		wtree(node(d,0)) = 1;
	end
//
	ntree = wtree;
//
	subplot(2,2,3)
	PlotBasisTree(wtree,8,ntree,'Left-Leaning Tree')
	subplot(2,2,4)
	PlotPhaseTiling('CP',wtree,wp,'CP; BlackHole Basis','-')
	
//
	//fprint(gcf,'bbfig041.ps')
//
	scf(2);clf(2);
//
	ftree = zeros(1,2^(L+1));
	ell=5;
	ftree(1:2^ell-1) = ones(1,2^ell-1);
	ntree = zeros(1,2^(L+1)); a = 0;
	for d=ell:-1:0,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
		a = 2*a+1;
	end
	for d=ell+1:L,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
	end
	wp = zeros(n,L);
//
	subplot(2,2,1)
	PlotBasisTree(ftree,ell,ntree,'Quasi Complete Tree')
	subplot(2,2,2)
	PlotPhaseTiling('CP',ftree,wp,'CP; Quasi DCT','-')
//
	gtree = zeros(1,2^(L+1));
	ell   = 3;
	gtree(1:(2^ell-1)) = ones(1,2^ell-1);
	ntree = zeros(1,2^(L+1)); a = 0;
	for d=ell:-1:0,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
		a = 2*a + 1;
	end
	for d=ell+1:L,
		ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a;
	end
//
	subplot(2,2,3)
	PlotBasisTree(gtree,ell,ntree,'Partial Complete Tree')
	subplot(2,2,4)
	PlotPhaseTiling('CP',gtree,wp,'CP; Quasi Gabor Basis','-')
	
//
	//ifprint(gcf,'bbfig042.ps')
//
	
    

//  Comments? e-mail wavelab@stat.stanford.edu 

 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

	
    
    

    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
