clc;mode(1);lines(0);
// MFWork01: Multifractal Workout: CWT Analysis of Cantor Signal
scf(1);clf();mode(-1);
	// modifiable parameters
	N = 4096;     // signal length; fairly large
	nvoice = 12;  // Following JS Bach, Well-Tempered Klavier

	// create a Brownian
	CantorMeasure = MakeFractal(N,3,'Deterministic',[.5 0 .5]);
	Devil  = cumsum(CantorMeasure); t = (.5:(N-.5))./N;
	scf(1);clf(); plot(t, Devil); title(sprintf(' Devil Staircase Signal'));
	
	// make CWT
	// Devil = Devil - Devil(N) .*t;	
	Devil_cwt = CWT_Wavelab(Devil,nvoice,'Sombrero');
	sz = size(Devil_cwt); nscale = sz(2);

	// display CWT
	scf(2);clf(); ImageCWT(Devil_cwt,'Individual','hot');
	title('CWT')
	
	// Build Maxima Map
	Devil_maxmap = WTMM(Devil_cwt);
	// display maxmap
	scf(3);clf(); ImageWTMM(Devil_maxmap)
	
	// Identify Ridges
	[skm,skp,skl] = BuildSkelMapFast(Devil_maxmap);

	// display Ridges
	scf(4);clf(); PlotSkelMap(N,nscale,skm,skp,skl);
	
	// RidgePlots
	ridgelist = [ 6, 7, 13, 29, 76, 115];
	//scf(); PlotRidges(ridgelist,Devil_cwt,skm,skp,skl);
	
	// PruneRidges
	[skellist,skelptr,skellen] = PruneSkelMap(Devil_cwt,.001,1,skm,skp,skl);
	scf(5);clf(); PlotSkelMap(N,nscale,skellist,skelptr,skellen);
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
