clc;mode(1);lines(0);
// MPWork21 -- Matching-Pursuit, Wavelet Packet Tour on Four Basic Signals
//
//     	HeaviSine
// 		Doppler
//		QuadChirp
//		MishMash
//
mode(-1);

scf(1);clf();
	n   = 1024;
	qmf = MakeONFilter('Coiflet',3);
//
	compressfig  = scf(5);clf();
	equivratefig = scf(6);clf();
	equivdimfig  = scf(7);clf();
	figarray = list();
//
	for i=1:4,
		if i==1,
			SigName = 'LinChirp';
		elseif i==2,
			SigName = 'TwoChirp';
		elseif i==3,
			SigName = 'QuadChirp';
		elseif i==4,
			SigName = 'MishMash';
		end			
//
		hs = MakeSignal(SigName,n);
		figarray(i) = scf(i);clf();
		[mpatoms,mpresid] = WPPursuitTour('P',hs,10,qmf,300,SigName);
		subplot(2,2,3)
		a=gca();a.data_bounds=([0 500 0 10]);
	
		energy = norm(hs).^2;
		mpcnums = [energy ; energy - cumsum(mpatoms(:,1).^2)];

		scf(compressfig);
		subplot(2,2,i)
		PlotSemiCompressNum(mpcnums,'MPWP', SigName);

		scf(equivratefig);
		subplot(2,2,i)
		PlotEquivRate(mpcnums,'WP', SigName)

		scf(equivdimfig);
		subplot(2,2,i)
		PlotEquivDimension(mpcnums,'WP', SigName)

	end
//
	//ifprint(compressfig,'mp_fig215.ps')
	//ifprint(equivratefig,'mp_fig216.ps')
	//ifprint(equivdimfig,'mp_fig227.ps')
	
// 	for i=1:4,
// 		ifprint(figarray(i),['mp_fig21' int2str(i) '.ps']);
// 	end
halt("press a key to proceed!");
clc;mode(1);lines(0);
			
// MPWork31 -- Matching-Pursuit, Cosine Packet Tour on Four Basic Signals
//
//     	LinChirp
// 		TwoChirp
//		QuadChirp
//		MishMash
//
//
mode(-1)
scf(1);clf();
	n   = 1024;
	qmf = MakeONFilter('Coiflet',3);
//
	//compressfig  = scf();
	//equivratefig = scf();
	//equivdimfig  = scf();
	figarray = list();
//
	for i=1:4,

		if i==1,
			SigName = 'LinChirp';
		elseif i==2,
			SigName = 'TwoChirp';
		elseif i==3,
			SigName = 'QuadChirp';
		elseif i==4,
			SigName = 'MishMash';
		end			
//
		hs = MakeSignal(SigName,n);
		figarray(i) = scf(i);
		[mpatoms,mpresid] = CPPursuitTour('P',hs,6,'Sine',300,SigName);
		subplot(2,2,3)
		a=gca();a.data_bounds=([0 500 0 10])
	
		energy = norm(hs).^2;
		mpcnums = [energy ; energy - cumsum(mpatoms(:,1).^2)];

		scf(compressfig);
		subplot(2,2,i)
		PlotSemiCompressNum(mpcnums,'MPCP', SigName);

		scf(equivratefig);
		subplot(2,2,i)
		PlotEquivRate(mpcnums,'CP', SigName)

		scf(equivdimfig);
		subplot(2,2,i)
		PlotEquivDimension(mpcnums,'CP', SigName)

	end
//
// 	ifprint(compressfig, 'mp_fig315.ps')
// 	ifprint(equivratefig,'mp_fig316.ps')
// 	ifprint(equivdimfig, 'mp_fig317.ps')
// 	
// 	for i=1:4,
// 		ifprint(figarray(i),['mp_fig31' int2str(i) '.ps']);
// 	end

halt("press a key to proceed!");
clc;mode(1);lines(0);			
    // MPWork61 -- Matching-Pursuit, Best-Basis Compression
//
//   Comparison on Four Basic Signals:
//
//     	LinChirp
// 		TwoChirp
//		QuadChirp
//		MishMash
//
//
mode(-1)
	n   = 1024;
	qmf = MakeONFilter('Coiflet',3);
//
	scf(compressfig);
//
	for i=1:4,

		if i==1,
			SigName = 'LinChirp';
		elseif i==2,
			SigName = 'TwoChirp';
		elseif i==3,
			SigName = 'QuadChirp';
		elseif i==4,
			SigName = 'MishMash';
		end			
//
		hs = MakeSignal(SigName,n);

		subplot(2,2,i)
		Compare4Decomp(hs,SigName,qmf,10,6)

	end
//
	//ifprint(gcf,'mp_fig611.ps')

			
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
