clc;mode(1);lines(0);
// MPWork22 -- Matching-Pursuit, Wavelet Packet Tour on Four Complex Signals
//
//     	Sorrows
// 		Riemann
//		Seismic
//		Tweet
//
mode(-1);
	n   = 1024;
	qmf = MakeONFilter('Coiflet',3);
//
	compressfig  = scf(5);clf();
	equivratefig = scf(6);clf();
	equivdimfig  = scf(7);clf();
	figarray = list();
	brightarray = [-.8 -.8 0 0];
	axarray = [ 0 0 0 0; ...
	            0 0 0 0; ...
				0 0 0 0; ...
				0 1 .3 .7];
//
	for i=1:4,

		if i==1,
			SigName = 'WernerSorrows';
			hs = MakeSignal(SigName,n);
			SigName = 'Sorrows';
		elseif i==2,
			SigName = 'Riemann';
			hs = MakeSignal(SigName,n);
			hs = hs ./ norm(hs) .* sqrt(1000);
		elseif i==3,
			SigName = 'Seismic';
			hs = ReadSignal('Seismic')';
			hs = hs ./ norm(hs) .* sqrt(1000);
		elseif i==4,
			SigName = 'Tweet';
			hs = ReadSignal('Tweet');
			hs = hs ./ norm(hs) .* sqrt(8192);
		end			
//
		figarray(i) = scf(i);clf();
		[mpatoms,mpresid] = WPPursuitTour('P',hs,10,qmf,300,SigName);
		subplot(2,2,3)
		a=gca();a.data_bounds=([0 500 0 10]);
		
// 		if brightarray(i) ~= 0,
// 			subplot(2,2,4)
// 			brighten(brightarray(i));
// 		end
	
		if sum(abs(axarray(i,:)')) ~=0,
		    subplot(2,2,4)
			a=gca();a.data_bounds=(axarray(i,:));
		end
		
		energy = norm(hs).^2;
		mpcnums = [energy ; energy - cumsum(mpatoms(:,1).^2)];

		scf(compressfig);
		subplot(2,2,i)
		PlotSemiCompressNum(mpcnums,'MPWP', SigName);

		scf(equivratefig);
		subplot(2,2,i)
		PlotEquivRate(mpcnums,'WP', SigName)

		scf(equivdimfig);
		subplot(2,2,i)
		PlotEquivDimension(mpcnums,'WP', SigName)

	end
//
	//ifprint(compressfig, 'mp_fig225.ps')
	//ifprint(equivratefig,'mp_fig226.ps')
	//ifprint(equivratefig,'mp_fig227.ps')
	
// 	for i=1:4,
// 		ifprint(figarray(i),['mp_fig22' int2str(i) '.ps']);
// 	end

// Revision History

// 11/08/05   A.M.    cwarb.mat is replaced by tweet.
    halt("press a key to proceed!");
clc;mode(1);lines(0);
// MPWork32 -- Matching-Pursuit, Cosine Packet Tour on Four Complex Signals
//
//     	Sorrows
// 		Riemann
//		Seismic
//		Tweet
//
//
mode(-1);
	n   = 1024;
//
	//compressfig  = scf();
	//equivratefig = scf();
	//equivdimfig  = scf();
	figarray = list();
	brightarray = [-.8 -.8 0 0];
	
	axarray = [ 0 0 0 0; ...
            0 0 0 0; ...
			0 0 0 0; ...
			0 1 .3 .7];

//
	for i=1:4,

	if i==1,
			SigName = 'WernerSorrows';
			hs = MakeSignal(SigName,n);
			SigName = 'Sorrows';
		elseif i==2,
			SigName = 'Riemann';
			hs = MakeSignal(SigName,n);
			hs = hs ./ norm(hs) .* sqrt(1000);
		elseif i==3,
			SigName = 'Seismic';
			hs = ReadSignal('Seismic')';
			hs = hs ./ norm(hs) .*sqrt(1000);
		elseif i==4,
			SigName = 'Tweet';
			hs = ReadSignal('Tweet');
			hs = hs ./ norm(hs) .* sqrt(8192);
		end			
//
		figarray(i) = scf(i);clf();
		[mpatoms,mpresid] = CPPursuitTour('P',hs, 6,'Sine', 300,SigName);
		subplot(2,2,3)
		a=gca();a.data_bounds=([0 500 0 10]);

		//if brightarray(i) ~= 0,
		//	subplot(2,2,4)
		//	brighten(brightarray(i));
		//end

		if sum(abs(axarray(i,:)')) ~=0,
		    subplot(2,2,4)
			a=gca();a.data_bounds=(axarray(i,:));
		end
	
		energy = norm(hs).^2;
		mpcnums = [energy ; energy - cumsum(mpatoms(:,1).^2)];

		scf(compressfig);
		subplot(2,2,i)
		PlotSemiCompressNum(mpcnums,'MPCP', SigName);

		scf(equivratefig);
		subplot(2,2,i)
		PlotEquivRate(mpcnums,'CP', SigName)

		scf(equivdimfig);
		subplot(2,2,i)
		PlotEquivDimension(mpcnums,'CP', SigName)

	end
//

// 	ifprint(compressfig, 'mp_fig325.ps')
// 	ifprint(equivratefig,'mp_fig326.ps')
// 	ifprint(equivdimfig, 'mp_fig327.ps')
// 	
// 	for i=1:4,
// 		ifprint(figarray(i),['mp_fig32' int2str(i) '.ps']);
// 	end

    //Revision History
    
    // 11/08/05    A.M.   cwarb.mat is replaced by Tweet Signal

halt("press a key to proceed!");
clc;mode(1);lines(0);	
// MPWork62 -- Matching-Pursuit, Best-Basis Compression
//
//   Comparison on Four Complex Signals:
//
//     	Sorrows
// 		Riemann
//		Seismic
//		Tweet
//
//
mode(-1);
	n   = 1024;
	qmf = MakeONFilter('Coiflet',3);
//
	scf(compressfig);
//
	for i=1:4,

		if i==1,
			SigName = 'WernerSorrows';
			hs = MakeSignal(SigName,n);
			SigName = 'Sorrows';
		elseif i==2,
			SigName = 'Riemann';
			hs = MakeSignal(SigName,n);
			hs = hs ./ norm(hs) .* sqrt(1000);
		elseif i==3,
			SigName = 'Seismic';
			hs = ReadSignal('Seismic')';
			hs = hs ./ norm(hs) .*sqrt(1000);
		elseif i==4,
			SigName = 'Tweet';
			hs = ReadSignal('Tweet');
			hs = hs ./ norm(hs) .* sqrt(8192);
		end			
//
		subplot(2,2,i)
		Compare4Decomp(hs,SigName,qmf,10,6)

	end
//
	//ifprint(gcf,'mp_fig621.ps')

			
    
    

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
