// CAPTION
printf('\n');mode(-1);
clc;
disp('Figure 2.1')
disp('Window 1: Original signal.')
disp('Window 2: Signal obtained by suppressing all high frequencies with a')
disp('low-pass filter. It creates a Gibbs oscillations near the discontinuities.')
disp('Window 3: The signal is filtered with a low-pass filter whose')
disp('cut-off frequency is twice smaller than in Window 2. The maximum amplitude')
disp('of the Gibbs oscillations remains the same.')
disp('Window 4: The signal is filtered with a low-pass filter whose')
disp('cut-off frequency is four times smaller than in Window 2.')

L=1500;
x=zeros(1,L);
i=(1:L/2);
x(L/4+1:3*L/4)=0.15*cos(i/length(i)*%pi)+0.3;
figure(1);clf;
title('Window 1');
//subplot(221);
plot(x);
a=gca();a.data_bounds=([0 L -0.2 0.6]);

figure(2);clf;
title('Window 2');
chi=600;
h=ones(1,L);
h(L/2-chi+1:L/2+chi)=zeros(1,2*chi);
g=mtlb_ifft(h);
y=iconv(real(g),x);
//subplot(222);
plot(real(y));

figure(3);clf;
title('Window 3');
chi=700;
h=ones(1,L);
h(L/2-chi+1:L/2+chi)=zeros(1,2*chi);
g=mtlb_ifft(h);
y=iconv(real(g),x);
//subplot(223);
plot(real(y));

figure(4);clf;
title('Window 4');
chi=725;
h=ones(1,L);
h(L/2-chi+1:L/2+chi)=zeros(1,2*chi);
g=mtlb_ifft(h);
y=iconv(real(g),x);
//subplot(224);
plot(real(y));


// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr



 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
