mode(-1);clc;
disp('Figure 5.4')
disp('The dyadic wavelet is a quadratic spline with one vanishing moment.')
disp('These graphs display the modulus square of its Fourier transform')
disp('dilated by 2^j for 0<j<6.') 


clear i;
clear hatpsi;
N = 4096;
M = 10;
omega = ((1:N)/N -.5) * 2 * M;
hatpsi(1:N/2-1) = -%i.*omega(1:N/2-1)./4 .*exp(-%i.*omega(1:N/2-1)./2).*(sin(omega(1:N/2-1)./4)./(omega(1:N/2-1)./4)).^4;
hatpsi(N/2) = 0;
hatpsi(N/2+1:N) = -%i.*omega(N/2+1:N)./4 .*exp(-%i.*omega(N/2+1:N)./2).*(sin(omega(N/2+1:N)./4)./(omega(N/2+1:N)./4)).^4;
supp1 = find(abs(hatpsi) > max(abs(hatpsi)) ./20);
omax = max(omega(find(abs(hatpsi) == max(abs(hatpsi)))));
omega = omega .*%pi./omax;
scf(1);clf(1)
plot(omega(supp1),abs(hatpsi(supp1)).^2)

plot(omega(supp1)./2,abs(hatpsi(supp1)).^2);

plot(omega(supp1)./4,abs(hatpsi(supp1)).^2);

plot(omega(supp1)./8,abs(hatpsi(supp1)).^2);

plot(omega(supp1)./16,abs(hatpsi(supp1)).^2);
a=gca();a.data_bounds=([-%pi %pi 0 0.3]);
halt("Press a key!");
disp('Figure 5.5')
disp('The top curve is the original signal.')
disp('Its dyadic wavelet transform is shown below at scales 2^j for 0<j<6.')
disp('The bottom curve carries the lower frequencies corresponding ')
disp('to scales larger than $2^5$.')


  global WLVERBOSE;
  WLVERBOSE='No';
  x = ReadSignal('msignal');
  L = 3;
  dwt = FWT_ATrou(x,L);
  scf(1);clf(1);
  DisplayDWT(dwt,4,x);
  WLVERBOSE='Yes';

halt("Press a key!");
disp('Figure 5.6')
disp('The left graph is a quadratic spline wavelet with one vanishing moment.')
disp('The scaling function is shown on the right.')

L = 3;
x = zeros(1,1024);
x(512) = 1;
dwt = FWT_ATrou(x,L);
[l, nscale] = size(dwt);
 nscale = nscale - 1;
psi = -dwt(:,nscale+1)*2^(nscale/2);
i = find((psi'==0).*(lshift(psi')<0));
j = find((psi'.*rshift(psi'))<0);
k = find((psi'==0).*(rshift(psi')>0)); 
a = zeros(k-i+40,1);
a(1:19) = ((-19-(k-i)/4:-(k-i)/4-1)./(k-i)*2)';
a(20:20+k-i) = ((-(k-i)/4:3*(k-i)/4)./(k-i)*2)';
a(21+k-i:k-i+40) = ((3*(k-i)/4+1:3*(k-i)/4+20)./(k-i)*2)';
	scf(1);clf(1);
	subplot(221)
	plot(a,psi(i-19:k+20))
	aa=gca();aa.data_bounds=([a(1) a(k-i+40) min(psi)-.1 max(psi)+.1]);

phi = 2^(nscale/2)*dwt(:,1);

i = find((phi'==0).*(lshift(phi')>0));
k = find((phi'==0).*(rshift(phi')>0)); 
a = zeros(k-i+40,1);
a(1:20) = ((-(k-i)/3-19:-(k-i)/3)./(k-i)*3)';
a(21:20+k-i) = ((-(k-i)/3+1:2*(k-i)/3)./(k-i)*3)';
a(21+k-i:k-i+40) = ((2*(k-i)/3+1:2*(k-i)/3+20)./(k-i)*3)';
	subplot(222)
	plot(a,phi(i-19:k+20))
	aa=gca();aa.data_bounds=([a(1) a(k-i+40) min(phi) max(phi)*1.1]);



// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr

    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
