mode(-1);clc;

function ftheo = CalcFtheo(alpha,p1,p2);

x = (log(p2)-log(p1))./(log(p2) + alpha .* log(3));
ftheo = ((x-1).*log(x-1) - x .* log(x)) ./(x .* log(1/3));
endfunction



disp('Figure 6.1')
disp('The bottom image is the wavelet transform Wf(u,s) of the top signal f,')
disp('calculated with a wavelet which is the first derivative of a Gaussian.')
disp('The position parameter $u$ and the scale $s$ vary ')
disp('respectively along the horizontal and vertical axes.')
disp('Black, grey and white points correspond respectively')
disp('to positive, zero and negative wavelet coefficients.')
disp('Singularities create large amplitude coefficients')
disp('in their cone of influence.')

global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

  x = ReadSignal('msignal');
  nvoice = 12;
  wavelet = 'DerGauss';
  rwt = RWT(x,nvoice,wavelet,3,16);
  logrwt = rwt';

  logim = flipud(logrwt);
  linrwt = log2lin(logim,nvoice);

scf(1);clf(1)
       subplot(212)
  	   ImageRWT(fliplr(linrwt'),'Individual','gray','lin',3,16);
  	subplot(211)
    	   plot(x)
  	   a=gca();a.data_bounds=([1 length(x) floor(min(x)) floor(max(x))]);


WLVERBOSE='Yes';

halt("Press a key");
disp('Figure 6.3')
disp('The top signal is  f(t) = sin 1/t. Its wavelet transform is calculated')
disp('with a wavelet which is the first derivative of a Gaussian.')
disp('High amplitude coefficients are along a parabola below the cone of')
disp('influence of $t = 0$.')

N = 1024;
x = MakeSignal('sineoneoverx',N);
nvoice = 8;
  wavelet = 'DerGauss';
  rwt = RWT(x,nvoice,wavelet,3,8);
// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

	rwt = fliplr(rwt);
	linrwt = log2lin(rwt',8);
scf(1);clf(1);
subplot(212)
	ImageRWT(fliplr(linrwt'),'Individual','gray','lin',3,8);
        subplot(211)
  	plot(x)
  	a=gca();a.data_bounds=([1 length(x) -1.1 1.1])



	//colormap(1-gray(256))
	//axis('ij')

halt("Press a key");
disp('Figure 6.5')
disp('Window 1: Wavelet transform Wf(u,s) of the signal f at the top.')
disp('The horizontal and vertical axes give respectively u and log_2 s.')
disp('Window 2: The modulus maxima of the wavelet transform are in black.')
disp('Window 3: The full line gives the decay of log_2 |Wf(u,s)| as a ')
disp('function of log_2 s, along the maxima line that converges to the')
disp('abscissa t = 14. The dashed line gives log_2 |Wf(u,s)| along the')
disp('left maxima line that converges to t = 108.')


global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

  	x = ReadSignal('msignal');
 	nvoice = 12;
  	wavelet = 'DerGauss';
	rwt = RWT(x,nvoice,wavelet,1,4);
scf(1);clf(1)
        title('Window 1')
      subplot(212)
	   ImageRWT(fliplr(rwt),'Individual','gray','log',1,4)
        subplot(211)
    	   plot(x)
  	    a=gca();a.data_bounds=([1 length(x) round(min(x)) round(max(x))])

scf(2);clf(2)
        title('Window 2')
	 maxmap = MM_RWT(rwt);
  	[skellist,skelptr,skellen] = SkelMap(maxmap);
        l = max(size(skelptr));
	PlotSkelMap(256,64,skellist,skelptr(1:l),skellen(1:l),'','blue',[],12,1,4);
scf(3);clf(3)
        title('Window 3')
	ridge = ExtractRidge(4,rwt,skellist,skelptr,skellen);
	plot(9-ridge(:,1),ridge(:,2),'b-')
	 a=gca();a.data_bounds=([2 5 -7 max(ridge(:,2))]);
	ridge = ExtractRidge(5,rwt,skellist,skelptr,skellen);
	plot(9-ridge(:,1),ridge(:,2),'b--')	
WLVERBOSE='Yes';

halt("Press a key");
disp('Figure 6.6')
disp('Window 1: Wavelet transform Wf(u,s) calculated with a wavelet which is')
disp('the second derivative of a Gaussian. The horizontal and vertical')
disp('axes correspond respectively to u and log_2 s.') 
disp('Window 2: Modulus maxima of the wavelet transform.')
disp('Window 3: Decay of log_2 |Wf(u,s)| as a function of log_2 s')
disp('along maxima curves. In the left figure, the solid and dotted ')
disp('lines correspond respectively to the maxima curves converging') 
disp('to t = 416 and t = 64. In the right figure, they correspond respectively')
disp('to the curves converging to t = 162 and t = 280.')
disp('The diffusion at t = 64 and t = 280 modifies the decay for s < 2^4.')

// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];
	h3 = [1.5*delta delta 1-2.5*delta 2*unit];
        h4 = [delta delta .5-delta unit];
	h5 = [.5+delta delta 1-delta unit];

N = 64;
i = (1:N)./N;
x = (1-sqrt(i)) + i/2 -.5;
M = 8*N;
sig = zeros(1,M);
sig(M-1.5.*N+1:M-.5*N) = x;
sig(M-2.5*N+2:M-1.5.*N+1) = reverse(x);
sig(3*N-30:3*N + N) = .5*ones(1,N+31);


t = (1:M)/M;
sigma = 0.01;
g = exp(-.5 .*(abs(t-.5)./sigma).^2)./sigma./sqrt(2*%pi);
g = fftshift(g);

sig2 = iconv(g',sig)'/M; 

m = max(sig2);
j = min(find(sig2 == m));
sig(8*N/2+1:12*N/2) =  (sig2(j:j+2*N-1).* .5 ./m)';
sig(1:2.5*N) = sig2(M-2.5*N+1:M)';
sig(M-2.5*N+2:M-1.5.*N+1) = reverse(x);

  nvoice = 8;
  wavelet = 'Sombrero';
  oct = 5;
  scale = 32;
  rwt = RWT(sig,nvoice,wavelet,oct,scale);
  [n,nscale] = size(rwt);

scf(1);clf(1)
title('Window 1')
subplot(212)
  ImageRWT(fliplr(rwt),'Individual','gray','log',oct,scale)
subplot(211)
  plot(sig)
  a=gca();a.data_bounds=([1 M min(sig)-.1 max(sig)+.1]);


  maxmap = MM_RWT(rwt);
  [skellist,skelptr,skellen] = SkelMap(maxmap);

scf(2);clf(2)
title('Window 2')
  PlotSkelMap(n,nscale,skellist,skelptr(1:10),skellen(1:10),'','blue',[],nvoice,2,4);

scf(3);clf(3)
title('Window 3')
  subplot(211)
  ridge = ExtractRidge(8,rwt,skellist,skelptr,skellen,oct,scale);
// log2(n)+2-log2(scale)
  plot(8-ridge(:,1),ridge(:,2),'b-',oct,scale)  
  a=gca();a.data_bounds=([2 6 -16 -7]);

  ridge = ExtractRidge(1,rwt,skellist,skelptr,skellen,oct,scale);
  plot(8-ridge(:,1),ridge(:,2),'b--',oct,scale)  


  subplot(212)
  ridge = ExtractRidge(4,rwt,skellist,skelptr,skellen,oct,scale);
  plot(8-ridge(:,1),ridge(:,2),'b-',oct,scale)  
  a=gca();a.data_bounds=([2 6 -13 -5]);

  ridge = ExtractRidge(6,rwt,skellist,skelptr,skellen,oct,scale);
  plot(8-ridge(:,1),ridge(:,2),'b--',oct,scale)  

halt("Press a key");
disp('Figure 6.7')
disp('Window 1: Intensity variation along one row of the Lena image. ')
disp('Window 2: Dyadic wavelet transform computed up to the scale 2^8,')
disp('with the quadratic spline wavelet shown in Figure 5.6. ')
disp('Window 3: Modulus maxima of the dyadic wavelet transform.')


global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

f     = ReadSignal('lady');
normf = norm(f);

scf(1);clf(1)
       title('Window 1')
	
	plot(f)
	 a=gca();a.data_bounds=([0 256 0 260]);

J0    = 0;
alpha = FWT_ATrou(f,J0);

scf(2);clf(2);
       title('Window 2')
	
	DisplayDWT(alpha) 

	u     = MM_DWT(alpha,0);
	s = size(u);
scf(3);clf(3);
       title('Window 3')
	DisplayDWTmaxr(u.*alpha)
WLVERBOSE='Yes';








halt("Press a key");
disp('Figure 6.8')
disp('The original signal is at the top. The middle signal is reconstructed')
disp('from the dyadic wavelet maxima shown in Figure 6.7.')
disp('The bottom signal is reconstructed from the subset of dyadic wavelet')
disp('maxima whose amplitudes are above the threshold T = 10.')

global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

f     = ReadSignal('lady');
normf = norm(f);

J0    = 0;
alpha = FWT_ATrou(f,J0);

threshold = 0;
u     = MM_DWT(alpha,threshold);
s = size(u);
g0     = IMM_DWT(alpha.*u);

threshold = 10;
u     = MM_DWT(alpha,threshold);
s = size(u);
g10     = IMM_DWT(alpha.*u);

scf(1);clf;
	subplot(311)
	plot(f)
	a=gca();a.data_bounds=([0 256 0 260]);
	subplot(312)
	plot(g0)
	a=gca();a.data_bounds=([0 256 0 260]);
printf('Reconstruction error after 10 iterations : %d\n',norm(f-g0) / norm(f))
	subplot(313)
	plot(g10)
	a=gca();a.data_bounds=([0 256 0 260]);
printf('Reconstruction error after 10 iterations and a threshold of 10 : %d\n',norm(f-g10) / norm(f))
WLVERBOSE='Yes';

// disp('Figure 6.9')
// disp('This edge detection figure can be reproduced')
// disp('with the LastWave software, which is available on the Internet at')
// disp('http://www.cmap.polytechnique.fr/users/www.bacry')
//     
//     
// fprintf('\n');
// disp('Figure 6.10')
// disp('This edge detection figure can be reproduced')
// disp('with the LastWave software, which is available on the Internet at')
// disp('http://www.cmap.polytechnique.fr/users/www.bacry')
//     
    
// disp('Figure 6.11')
// disp('The reconstruction of images from multiscale edges can be performed')
// disp('with the LastWave software, which is available on the Internet at')
// disp('http://www.cmap.polytechnique.fr/users/www.bacry')
//     
    
 
 

halt("Press a key");
disp('Figure 6.16')
disp('Window 1: The top signal is devil''s staircase, calculated by integrating')
disp('a Cantor measure constructed with equal weights p_1 = p_2 = 0.5. ') 
disp('The wavelet transform is calculated with a wavelet which is the')
disp('first derivative of a Gaussian.')
disp('Window 2: Wavelet transform modulus maxima. ') 


// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];
n = 1024;
x = zeros(n,1);
y = MakeCantor(zeros(1,n/2),1,n/2,1,1/3,2/3,.5,.5);
x(n/4+1:3*n/4) = y';
t1 = tril(ones(n/2,n/2));
y = x;
x(1:n/2) = t1 * y(1:n/2);
x(n/2+1:n) = ones(n/2,n/2) * y(1:n/2) + t1 * y(n/2+1:n);
x = x./max(x);
x(n+1:2*n) = reverse(x);
nvoice = 12;
wavelet = 'DerGauss';
 rwt = RWT(x,nvoice,wavelet);
[n,nscale] = size(rwt);

scf(1);clf
      title('Window 1')
  	subplot(211)
	plot(x(n/8+1 :3*n/8) );
	a=gca();a.data_bounds=([1 n/4 0 max(x)]);
	subplot(212)
	ImageRWT(fliplr(rwt(n/8+1 :3*n/8,:).^4),'Individual','gray','log',2,4)
maxmap = MM_RWT(rwt(n/8+1 :3*n/8,:),1000000);
[skellist,skelptr,skellen] = SkelMap(maxmap);
l = max(size(skelptr));

scf(2);clf
      title('Window 2')

PlotSkelMap(n/4,nscale,skellist,skelptr(1:l/2),skellen(1:l/2),'','blue',[],nvoice,2,9);
a=gca();a.data_bounds=([1 n/4 2 11]);

halt("Press a key");
disp('Figure 6.18')
disp('Window 1: Devil''s staircase calculated with p_1 = 0.4 and p_2 = 0.6.')
disp('Window 2: Display of the partition function log_2 Z(q,s) for several')
disp('values of q, as a function of log_2 s.')
disp('Window 3: Scaling exponent tau(q)$.')
disp('Window 4: The theoretical spectrum D(alpha) is shown with a solid line.')
disp('The + are the spectrum values calculated numerically with a Legendre')
disp('transform of tau(q).')


	  delta = 1/15;
	  unit = (1-3*delta)/3;
	  h2 = [delta delta 1-2*delta 2*unit];
	  h1 = [delta 2*(unit+delta) 1-2*delta unit];

	  wavelet = 'DerGauss';
	  par = 1000;
	  par1 = .4;
	  par2 = .6;

	  n = 4096;
	  x = zeros(n,1);
	  y = cantor(zeros(1,n/2),1,n/2,1,1/3,2/3,par1,par2);
	  x(n/4+1:3*n/4) = y';
	  t1 = tril(ones(n/2,n/2));
	  y = x;
	  x(1:n/2) = t1 * y(1:n/2);
	  x(n/2+1:n) = ones(n/2,n/2) * y(1:n/2) + t1 * y(n/2+1:n);
	  x = x./max(x);
	  q = linspace(-10,10,61);

	  x(n+1:2*n) = reverse(x);

scf(1);clf; 
        title('Window 1')
	plot(x(1:n))
	a=gca();a.data_bounds=([1 n min(x)-.1 max(x)+.1]);

	nvoice = 12;
	rwt = RWT(x,nvoice,wavelet);
	[n,nscale] = size(rwt);

	rwt = rwt(:,2*nvoice + 1 : nscale - nvoice);
	[n,nscale] = size(rwt);
	scales = 2.^(2+8*(1:nscale)/nscale);

	maxmap = MM_RWT(rwt,par);
  	z = FracPartition(rwt,maxmap,q);

scf(2);clf;
        title('Window 2')
	PlotThermoPartition(linspace(min(q),max(q),7),z,rwt,scales,q);

	tau = FracScalExp(z,scales);
	tau = -tau;

scf(3);clf; 
        title('Window 3')
	PlotMomentGenFun(tau,q)
	title('');
	xlabel('');
	ylabel('');

	alpha = linspace(.1,.9,101);
	f = FracSingSpect(tau,q',alpha);

scf(4);clf;
        title('Window 4')
	PlotMultiSpectrum(f,alpha);


	ftheo = CalcFtheo(alpha,par1,par2);

	plot(alpha,real(ftheo))
	title('');
	xlabel('');
	ylabel('');
   a=gca();a.data_bounds=([.4 .9 0 0.7]);


halt("Press a key");
disp('Figure 6.20')
disp('Window 1: One realization of a fractional Brownian motion for a Hurst')
disp('exponent H = 0.7.')
disp('Window 2: The upper left image shows the wavelet transform.')
disp('The upper right image displays the modulus maxima.')
disp('The lower left graph gives the scaling exponent tau (q).')
disp('The lower right shows the resulting D(alpha) over its support.')

// axes handles	
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];

	n = 8192;
	x=MakeBrownian(n,.7);
	q = linspace(0,5,61);
	wavelet = 'DerGauss';
	par = 10000000;
	x(n+1:2*n) = reverse(x);

scf(1);clf
       title('Window 1')
	
	plot(x(1:n))
	a=gca();a.data_bounds=([1 n min(x)-.1 max(x)+.1]);
nvoice = 12;
cwt = CWT_Wavelab(x,nvoice,wavelet);

scf(2);clf
       title('Window 2')
subplot(221)
ImageCWT(fliplr(cwt(1:n,:)),'Individual','gray','log')
[n,nscale] = size(cwt);
	cwt = cwt(1:n/2,4*nvoice + 1 : nscale - nvoice);
	[n,nscale] = size(cwt);
	scales = 2.^(2+7*(1:nscale)/nscale);

subplot(222)
maxmap = MM_RWT(cwt,par);
ImageWTMM(fliplr(maxmap(:,1:60)),'log');
  z = FracPartition(cwt,maxmap,q);
tau = FracScalExp(z,scales);
tau = -tau;

subplot(223)
	PlotMomentGenFun(tau,q)
	a=gca();a.data_bounds=([0 5 -1 3]);
	title('');
	xlabel('');
	ylabel('');

alpha = linspace(.1,.9,101);
f = FracSingSpect(tau,q',alpha);

subplot(224)
	PlotMultiSpectrum(f,alpha);
	title('');
	xlabel('');
	ylabel('');
a=gca();a.data_bounds=([.62 .75 0.85 1.05]);




// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
    
    
 

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 