mode(-1);clc;

disp('Figure 9.1')
disp('Top: Original signal f.')
disp('Middle:  Signal approximated from the 15% lower frequency')
disp('Fourier coefficients. The relative norm of the error is 0.0863')
disp('Bottom: Signal approximated from the 15% larger scale Daubechies 4 ')
disp('wavelet coefficients. The relative norm of the error is 0.0858')

scf(1);clf();
N = 1024;
f = MakeSignal('Piece-Regular',N);
normf = norm(f);

qmf = MakeONFilter('Daubechies',8);
L = 2;
wc    = FWT_PO(f,L,qmf);
biggest = (abs(wc) >= max(abs(wc))./500);
ratio = sum(biggest)./N;
p = ceil(ratio*N/2);
ratiowc = zeros(1,N);
ratiowc(1:2*p) = wc(1:2*p);
daubf = IWT_PO(ratiowc,L,qmf);

Hat = Wavelab_fft(f);
hatf = zeros(1,N);
hatf(1:p+1) = Hat(1:p+1);
hatf(N-p+1:N) =Hat(N-p+1:N);
fourf = Wavelab_ifft(hatf);

scf(1);clf
subplot(311)
plot(f);
a=gca();a.data_bounds=[0 1024 -22 50];

subplot(312)
plot(real(fourf))
a=gca();a.data_bounds=[0 1024 -22 50];

subplot(313)
plot(daubf)
a=gca();a.data_bounds=[0 1024 -22 50];

halt("Press a key to proceed!");
disp('Figure 9.2')
disp('Window 1: Original Lena image of N^2 = 256^2 pixels.')
disp('Window 2: Linear approximation from the M = N^2/16 Symmlet 4')
disp('wavelet coefficients at the scales 2^j > 2^4.')
disp('The relative norm of the error is 0.036.')

scf(1);clf
global WLVERBOSE;
WLVERBOSE='No';
x=256;y=256;
image=ReadImage('Lenna');
n=x*y;
L=2;
qmf=MakeONFilter('Symmlet',4);

wcoef = FWT2_PO(image,L,qmf) ;
wc=wcoef;

	[nc,J] = quadlength(image);

	for jscal=J-1:-1:6,
		top = (nc/2+1):nc; bot = 1:(nc/2);
		for ix=1:nc,
			row = wc(ix,1:nc);
			wc(ix,top) = zeros(1,nc/2);
		end
		for iy=1:nc,
			row = wc(1:nc,iy)';
			wc(top,iy) =  zeros(nc/2,1);
		 end
		nc = nc/2;
	end

out    = IWT2_PO(wc,L,qmf);

value=norm(image-out)/norm(out);

PIC256(image);
 title('Window 1')
// handle_axis = gca;
// set(handle_axis,'FontSize', 21);
scf(2);clf
PIC256(out);
 title('Window 2')
// handle_axis = gca;
// set(handle_axis,'FontSize', 21);
WLVERBOSE='Yes';


halt("Press a key to proceed!");
disp('Figure 9.3')
disp('Window 1: Original signal.')
disp('Window 2: The 15% largest Daubechies 4 wavelet coefficients are')
disp('shown at the scale 2^j for 0<j<5.')
disp('Window 3: Non-linear approximation calculated from the 15% largest wavelet')
disp('coefficients shown in Window 2. The relative norm of the error is 0.0051')


N = 1024;
f = MakeSignal('Piece-Regular',N);
normf = norm(f);

scf(1);clf
 title('Window 1')
//subplot(311)
plot(f)
a=gca();a.data_bounds=[0 1024 -22 50];

qmf = MakeONFilter('Daubechies',8);
L = 2;
wc    = FWT_PO(f,L,qmf);
biggest = (abs(wc) >= max(abs(wc))./500);
ratio = sum(biggest)./N;
biggestwc= biggest .* wc;

scf(2);clf
 title('Window 2')
PlotWaveCoeff(biggestwc,L+3,0);
newf = IWT_PO(biggestwc,L,qmf);

scf(3);clf
 title('Window 3')
//subplot(311)
plot(newf)
a=gca();a.data_bounds=[0 1024 -22 50];


halt("Press a key to proceed!");
disp('Figure 9.4')
disp('Window 1: Non-linear approximation of a Lena image ')
disp('of N^2=256^2 pixels, with M = N^2/16 wavelet coefficients.')
disp('The relative norm of the error is 0.011. Compare with Figure 9.2')
disp('Window 2: The position of the largest M wavelet coefficients')
disp('is shown in black.')


        
	global WLVERBOSE;
	WLVERBOSE='No';
        x=256;y=256;
	image=ReadImage('Lenna');
	n=x*y;
	qmf=MakeONFilter('Symmlet',4);
	J=8;L=3;

	wcoef = FWT2_PO(image,L,qmf);
//
	zmat = abs(wcoef);
	wcsort = mtlb_sort(abs(wcoef(:)));
	wcerr  = cumsum(wcsort.^2);
	wcerr  = flipud(wcerr);
//
//  Sparsify Image
//
	wthresh = wcsort(floor(.9375*65536));
	cw_image = wcoef .* (abs(wcoef) > wthresh);
	[i,j] = find(cw_image~=0);
	sp_image=cw_image;

	for j = L:J-1,
		sp_image(1,1:256) = ones(1,256);
		sp_image(1:256,1) = ones(256,1);
		sp_image(2^(j),2^j+1:2^(j+1)) = ones(1,2^(j));
		sp_image(2^(j+1),1:2^j) = ones(1,2^(j));
		sp_image(2^j+1:2^(j+1),2^(j)) = ones(2^(j),1);
		sp_image(1:2^j,2^(j+1)) = ones(2^(j),1);
		sp_image(2^(j+1),2^j+1:2^(j+1)) = ones(1,2^(j));
		sp_image(2^j+1:2^(j+1),2^(j+1)) = ones(2^(j),1);

	end
scf(1);clf;
	icw_image = IWT2_PO(cw_image,3,qmf);
	PIC256(icw_image);
	title('Window 1')
// 	handle_axis = gca; // recupere le handle de l'axe actif
// 	set(handle_axis,'FontSize', 21);

	out=icw_image;
	scf(2);clf;
	 title('Window 2')
	visu = 1 .* (abs(sp_image) > 0);
	grayplot(1:size(visu,1),1:size(visu,2),visu)	
	f=gcf();f.color_map=(1-graycolormap(256))
	//axis image
	//axis('off')
	value=norm(image-out)/norm(out);
	WLVERBOSE='Yes';


halt("Press a key to proceed!");
disp('Figure 9.5')
disp('The top signal includes two hyperbolic chirps.')
disp('The Heisenberg boxes of the best wavelet packet basis are shown below.')
disp('The darkness of each rectangle is proportional to the amplitude of')
disp('the wavelet packet coefficient.')


global WLVERBOSE;
WLVERBOSE='No';
f = MakeSignal('HypChirps',1024);
// axes handles	
	N = 1024;
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];
[n,J] = dyadlength(f);
D = J;
qmf = MakeONFilter('Symmlet',8);
scf(1);clf
[wp, btree] = AutoWPTour(f,D,qmf,'',0,0,0,0,0);
scf(1);clf
//axes('position',h1);
subplot(2,1,1)
	plot(real(f));
	a=gca();a.data_bounds=[1 n min(real(f))*1.1 max(real(f))*1.1];
//axes('position',h2);
subplot(2,1,2)
ImagePhasePlane('WP',btree,wp,'',256,qmf)
f=gcf();f.color_map=(1-sqrt(graycolormap(256)));
WLVERBOSE='Yes';


halt("Press a key to proceed!");
disp('Figure 9.7')
disp('Recording of bird song.')
disp('The Heisenberg boxes of the best local cosine basis are')
disp('shown below. The darkness of each rectangle is proportional ')
disp('to the amplitude of the local cosine coefficient.')
printf('\n');


global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	N = 512;
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];
x = ReadSignal('Tweet');
x = x(2001:4048);
[n,J] = dyadlength(x);

[cp, btree] = AutoCPTour(x,J-4,'',0,0,0,0,0);
scf(1);clf
//axes('position',h1);
subplot(211)
	plot(x);
	a=gca();a.data_bounds=[1 n min(x)*1.1 max(x)*1.1];
//axes('position',h2);
subplot(212)
	ImagePhasePlane('CP',btree,cp,'',256)
f=gcf();f.color_map=(1-graycolormap(256).^.25);
WLVERBOSE='Yes';

halt("Press a key to proceed!");
disp('Figure 9.8')
disp('The grid shows the approximate support of square overlapping ')
disp('windows in the best local cosine basis, computed with an l^1 cost.')
disp('WARNING: this computation takes a long time.')
printf('\n');

scf(1);clf
global WLVERBOSE;
WLVERBOSE='No';
img = ReadImage('Barbara');

img = fliplr(img');
MaxDepth = 5;
// one must first set the entropy to 'l^p',1 in CP2Tour
[bb,stats,coef] = CP2Tour(img,MaxDepth,'');
//a=gca();a.data_bounds='off';
title('');
WLVERBOSE='Yes';

halt("Press a key to proceed!");
disp('Figure 9.9')
disp('Window 1: Signal synthesized with a sum of chirps, truncated sinusoids,')
disp(' short time transients and Diracs.')
disp('Window 2: Heisenberg boxes of a best wavelet packet basis')
disp('calculated with Daubechies 8 filters.')
disp('The darkness is proportional to the coefficient amplitude.')
//disp('Window 3: Heisenberg boxes of wavelet packets selected by a')
//disp('matching pursuit.')
disp('Window 4: Heisenberg boxes of wavelet packets selected by an')
disp('orthogonal matching pursuit.')
//disp('Window 5: Heisenberg boxes of wavelet packets selected by a')
//disp('basis pursuit.')
printf('\n');
disp('The matching pursuit figure in a Gabor dictionary is not yet')
disp('implemented in Wavelab. It can be reproduced with the')
disp('LastWave software, which is available on the Internet at')
disp('http://www.cmap.polytechnique.fr/users/www.bacry')
printf('\n');


global WLVERBOSE;
WLVERBOSE='No';
// axes handles	
	N = 512;
	delta = 1/15;
	unit = (1-3*delta)/3;
	h2 = [delta delta 1-2*delta 2*unit];
	h1 = [delta 2*(unit+delta) 1-2*delta unit];
x = ReadSignal('Transients');
[n,J] = dyadlength(x);
scf(1);clf
 title('Window 1')
plot(x);
a=gca();a.data_bounds=[0 N min(x)*1.1 max(x)*1.1];


scf(2);clf
title('Window 2')
//[cp, btree] = AutoCPTour(x,J-4,'',0,0,0,0,0);
 //ImagePhasePlane('CP',btree,cp,'')

D = J-1;
qmf = MakeONFilter('Daubechies',16);

[wp, btreewp] = AutoWPTour(x,D,qmf,'',0,0,0,0,0);
ImagePhasePlane('WP',btreewp,wp,'',256,qmf)

//scf(4);clf
// title('Window 4')
//D = J-1;
//c = BP_Interior(x,'WP',D,qmf,0);
//[TFPlane, TFScaleOut] = PhasePlane(c,'WP',n,qmf);
//colormap(1-gray(256));

natom = 128;

scf(3);clf
 title('Window 4')
[atomic,resid] = WPMPursuitTour(x,D,qmf,natom,'');
size(atomic);

ImageAtomicPhase('WP',atomic,n,'',256,qmf)
f=gcf();f.color_map=(1-graycolormap(256));

//scf(6);clf
// title('Window 5')
//D = J-1;
//atomic=OMP(x,'WP',D,qmf,0,natom);
//PhasePlane(atomic,'WP',n,qmf);

//colormap(1-gray(256));
halt("Press a key to proceed!");
disp('Figure 9.10')
disp('The matching pursuit algorithm in a Gabor dictionary is not yet')
disp('implemented in Wavelab. This figure can be reproduced with the')
disp('LastWave software, which is available on the Internet at')
disp('http://www.cmap.polytechnique.fr/users/www.bacry')
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

