clc;mode(1);lines(0);
// toon0140 -- Illustrating Boundary Wavelets
//
//  On a finite interval, one has also to make a choice about the
//  boundary behavior.  The two choices:
//
//  1. Periodization. The wavelets that encounter the boundary, 
//     simply wrap around, as if the interval were a circle.
//
//  2. Boundary-Adjustment. The wavelets located near the boundary
//     are deformed versions of the wavelets at the interior.
//
//  Here we display wavelets at the interior of an interval, and
//  the two different behaviors the same wavelets can show at the boundary.
//
	w = zeros(1,1024);
	t = (0:1023) ./1024;
//
// 1. Plot Daubechies Father & Mother Wavelets
//
mode(-1);scf(1);clf()
	w(dyad2ix(4,8)) = 1;
	psi48 = IWT_CDJV(w,3,3);

	w(dyad2ix(4,8)) = 0;
	w(9) = 1;
	phi48 = IWT_CDJV(w,4,3);
	w(9) = 0;

	clf;  
	subplot(211); plot(t,psi48); title('Mother Wavelet at center {4,8}; N=3'); 
        a=gca();a.data_bounds=([.25 .75 -.25 .25]);
	subplot(212); plot(t,phi48); title('Father Wavelet at center {4,8}; N=3'); 
        a=gca();a.data_bounds=([.25 .75 -.25 .25]);
    
halt("press a key to proceed!");
clc;mode(1);lines(0);
 // toon0141 -- Illustrating Boundary Wavelets
//
//  On a finite interval, one has also to make a choice about the
//  boundary behavior.  The two choices:
//
//  1. Periodization. The wavelets that encounter the boundary, 
//     simply wrap around, as if the interval were a circle.
//
//  2. Boundary-Adjustment. The wavelets located near the boundary
//     are deformed versions of the wavelets at the interior.
//
//  Here we display wavelets at the interior of an interval, and
//  the two different behaviors the same wavelets can show at the boundary.
//
mode(-1);scf(1);clf()
	w = zeros(1,1024);
	t = (0:1023) ./1024;
//
// 2. Plot CDJV Boundary-Wavelets
//
	w(dyad2ix(4,0)) = 1;
	psi40 = IWT_CDJV(w,3,3);
	w(dyad2ix(4,0)) = 0;
//
	w(dyad2ix(4,1)) = 1;
	psi41 = IWT_CDJV(w,3,3);
	w(dyad2ix(4,1)) = 0;
//
	w(1) =1;
	phi40 = IWT_CDJV(w,4,3);
//
	w(1:2) =[0 1];
	phi41 = IWT_CDJV(w,4,3);
	w(2)=0;

//	clf;
	subplot(221); plot(t,psi40); title('Boundary Mother Wavelet, {4,0}; N=3'); a=gca();a.data_bounds=([0 .25 -.25 .25])
	subplot(222); plot(t,psi41); title('Boundary Mother Wavelet, {4,1}; N=3'); a=gca();a.data_bounds=([0 .25 -.25 .25])
	subplot(223); plot(t,phi40); title('Boundary Father Wavelet, {4,0}; N=3'); a=gca();a.data_bounds=([0 .25 -.25 .25])
	subplot(224); plot(t,phi41); title('Boundary Father Wavelet, {4,1}; N=3'); a=gca();a.data_bounds=([0 .25 -.25 .25])
 halt("press a key to proceed!");
clc;mode(1);lines(0);
// toon0142 -- Illustrating Boundary Wavelets
//
//  On a finite interval, one has also to make a choice about the
//  boundary behavior.  The two choices:
//
//  1. Periodization. The wavelets that encounter the boundary, 
//     simply wrap around, as if the interval were a circle.
//
//  2. Boundary-Adjustment. The wavelets located near the boundary
//     are deformed versions of the wavelets at the interior.
//
//  Here we display wavelets at the interior of an interval, and
//  the two different behaviors the same wavelets can show at the boundary.
//
	w = zeros(1,1024);
	t = (0:1023) ./1024;
//
// 3. Plot Periodized Boundary-Wavelets
//
mode(-1);scf(1);clf()
	QMF_Filter = MakeONFilter('Daubechies',6);
	w(dyad2ix(4,15)) = 1;
	psi415 = IWT_PO(w,3,QMF_Filter);
	w(dyad2ix(4,15)) = 0;
//
	w(dyad2ix(4,14)) = 1;
	psi414 = IWT_PO(w,3,QMF_Filter);
	w(dyad2ix(4,14)) = 0;
//
	w(16) =1;
	phi415 = IWT_PO(w,4,QMF_Filter);
//
	w(15:16) =[1 0];
	phi414 = IWT_PO(w,4,QMF_Filter);
	w(15)=0;
//	clf;
	subplot(221); plot(t,psi415); title('Periodized Mother Wavelet {4,15}; N=3');  a=gca();a.data_bounds=([0 1 -.25 .25]);
	subplot(222); plot(t,psi414); title('Periodized Mother Wavelet {4,14}; N=3');  a=gca();a.data_bounds=([0 1 -.25 .25]);
	subplot(223); plot(t,phi415); title('Periodized Father Wavelet {4,15}; N=3');  a=gca();a.data_bounds=([0 1 -.25 .25]);
	subplot(224); plot(t,phi414); title('Periodized Father Wavelet {4,14}; N=3');  a=gca();a.data_bounds=([0 1 -.25 .25]);
    

//  Revision History
//             10/1/05     AM     Changing the name of the variable QMF

    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
