clc;mode(1);lines(0); 
// toon0231 -- Visualize Wavelet Xform
//
//  Here we display a 2-d image (a stick figure)
//  and its 2-d wavelet transform.
//
mode(-1);scf(1);
	stick = MakeImage('StickFigure', 128);
//
	clf; subplot(121);
	AutoImage(stick);
	title('Skinny');
//
	Q = MakeONFilter('Coiflet',2);
	wstick = FWT2_PO(stick,3,Q);
//
	subplot(122);
	zmat = sqrt(abs(wstick));
	zmat = 256-3.8*zmat;
	AutoImage(zmat);
	title('WT2[Skinny]');
    
    halt("press a key to proceed!");
clc;mode(1);lines(0); 
 
 // toon0232 -- Visualize Wavelet Xform
//
//  Here we display a 2-d image (a box with an X in it)
//  and its 2-d wavelet transform.
//
mode(-1);scf(1);
	box = MakeImage('BoxWithCross', 128);
//
	clf; subplot(121);
	AutoImage(box);
	title('X Marks the Spot');
//
//
	Q = MakeONFilter('Coiflet',2);
	wbox = FWT2_PO(box,3,Q);
//
//
	subplot(122);
	zmat = sqrt(abs(wbox));
	zmat = 256-3.8*zmat;
	AutoImage(zmat);
	title('WT2[X Marks the Spot]');

halt("press a key to proceed!");
clc;mode(1);lines(0); 
// toon0233 -- Visualize Wavelet Xform
//
//  Here we display a 2-d image and its 2-d wavelet transform
//
mode(-1);scf(1);
ingrid = ReadImage('Daubechies');
//
clf; subplot(121);
GrayImage(ingrid);
title('Ingrid Daubechies');
//
//
Q = MakeONFilter('Coiflet',2);
wingrid = FWT2_PO(ingrid,3,Q);
//
//
subplot(122);
zmat = abs(wingrid);
GrayImage(zmat); //brighten(.5);
    
    
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
