clc;mode(1);lines(0); 
// toon0311 -- Analysis of Sinusoid with Haar Wavelet
//
mode(-1);  scf(1);clf()
	n       = 4096;
	t       = (1:n)./n;
	Sine 	= sin(2*%pi*t);
//
	qmf = MakeONFilter('Haar');
	wc  = FWT_PO(Sine,1,qmf);

//
	subplot(221); plot(t,Sine);
	title('Sine Wave');
//
	subplot(222); PlotWaveCoeff(wc,1,.5);
	title('Haar Transform of Sine')
//
	subplot(223); 
	for j=4:11,
		nrmr(j) = norm(wc(dyad(j)));
	end
	plot2d(4:11,nrmr(4:11),logflag="nl")
	title('Levelwise norm of Haar Coefficients')
	a=gca();a.data_bounds=([0 11 10^(-6) 10^1 ]);
//
	subplot(224); 
	ordcoef = reverse(mtlb_sort(abs(wc)));
	plot2d(ordcoef,logflag="nl")
	title('Ordered Haar Coefficients')
	a=gca();a.data_bounds=([0 300 10^(-6) 10^1 ]);
    
     halt("press a key to proceed!");
clc;mode(1);lines(0);   
 // toon0312 -- Analysis of Sinusoid with S8 Wavelet
//
mode(-1);  scf(1);clf()
	n       = 4096;
	t       = (1:n)./n;
	Sine 	= sin(2*%pi*t);
//
	qmf = MakeONFilter('Coiflet',2);
	wc  = FWT_PO(Sine,1,qmf);

//
	subplot(221); plot(t,Sine);
	title('Sine Wave');
//
	subplot(222); PlotWaveCoeff(wc,1,.5);
	title('DWT of Sine')
//
	subplot(223); 
	for j=4:11,
		nrmr(j) = norm(wc(dyad(j)));
	end
	plot2d(4:11,nrmr(4:11),logflag="nl")
	title('Levelwise norm of DWT Coefficients')
	a=gca();a.data_bounds=([0 11 10^(-6) 10^1 ]);
//
	subplot(224); 
	ordcoef = reverse(mtlb_sort(abs(wc)));
	plot2d(ordcoef,logflag="nl")
	title('Ordered DWT Coefficients')
	a=gca();a.data_bounds=([0 300 10^(-6) 10^1 ]);
    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 

 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
