clc;mode(1);lines(0);    
// toon0431 -- Compare First-n and Best-n Compression Numbers
//                          of Four Objects
//
//  First plot the four signals that will be used in this example.
//
mode(-1);  
scf(1);clf(1);
	n = 2048;
	Bumps     = MakeSignal('Bumps',n);
	Doppler   = MakeSignal('Doppler',n);
	HeaviSine = MakeSignal('HeaviSine',n);
	Blocks    = MakeSignal('Blocks',n);
	t         = (1:n)./n;
//
	subplot(221); plot(t,Blocks);
	title('Blocks')
//
	subplot(222); plot(t,Bumps);
	title('Bumps')
//
	subplot(223); plot(t,HeaviSine);
	title('HeaviSine')
//
	subplot(224); plot(t,Doppler);
	title('Doppler')
    
        halt("press a key to proceed!");
clc;mode(1);lines(0);    
  // toon0432 -- First-m Compression Numbers of Four Objects
// 
//  Plot the compression numbers for the S8 wavelet transforms
//  of each of the four signals.  These curves illustrate the
//  gain in accuracy obtained by using an additional coefficient
//  in the reconstruction.  These curves are based on taking the
//  first-m coefficients. 
mode(-1);  
scf(1);clf(1);
	n = 2048;
	Bumps     = MakeSignal('Bumps',n);
	Doppler   = MakeSignal('Doppler',n);
	HeaviSine = MakeSignal('HeaviSine',n);
	Blocks    = MakeSignal('Blocks',n);
	t         = (1:n)./n;
//
	S8QMF       = MakeONFilter('Symmlet',8);
	wcBumps     = FWT_PO(Bumps,4,S8QMF);
	wcBlocks    = FWT_PO(Blocks,4,S8QMF);
	wcDoppler   = FWT_PO(Doppler,4,S8QMF);
	wcHeaviSine = FWT_PO(HeaviSine,4,S8QMF);
//
	subplot(221); plot2d(reverse(cumsum(reverse(wcBlocks.^2))),logflag="nl");
	title('Blocks; First-m')
	xlabel('m')
	ylabel('d_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(222); plot2d(reverse(cumsum(reverse(wcBumps.^2))),logflag="nl");
	title('Bumps; First-m')
	xlabel('m')
	ylabel('d_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(223); plot2d(reverse(cumsum(reverse(wcHeaviSine.^2))),logflag="nl");
	title('HeaviSine; First-m')
	xlabel('m')
	ylabel('d_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(224); plot2d(reverse(cumsum(reverse(wcDoppler.^2))),logflag="nl");
	title('Doppler; First-m')
	xlabel('m')
	ylabel('d_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
    
        halt("press a key to proceed!");
clc;mode(1);lines(0);   
 // toon0433 -- Best-m Compression Numbers of Four Objects
//  
//  Plot the compression numbers for the S8 wavelet transforms
//  of each of the four signals.  These curves illustrate the
//  gain in accuracy obtained by using an additional coefficient
//  in the reconstruction.  These curves are based on taking the
//  best-m coefficients. 
//
mode(-1);  
scf(1);clf(1);
	n = 2048;
	Bumps     = MakeSignal('Bumps',n);
	Doppler   = MakeSignal('Doppler',n);
	HeaviSine = MakeSignal('HeaviSine',n);
	Blocks    = MakeSignal('Blocks',n);
	t         = (1:n)./n;
//
	S8QMF       = MakeONFilter('Symmlet',8);
	wcBumps     = FWT_PO(Bumps,4,S8QMF);
	wcBlocks    = FWT_PO(Blocks,4,S8QMF);
	wcDoppler   = FWT_PO(Doppler,4,S8QMF);
	wcHeaviSine = FWT_PO(HeaviSine,4,S8QMF);
//
	subplot(221); plot2d(reverse(cumsum(mtlb_sort(wcBlocks.^2))),logflag="nl");
	title('Blocks; Best-m')
	xlabel('m')
	ylabel('c_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(222); plot2d(reverse(cumsum(mtlb_sort(wcBumps.^2))),logflag="nl");
	title('Bumps; Best-m')
	xlabel('m')
	ylabel('c_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(223); plot2d(reverse(cumsum(mtlb_sort(wcHeaviSine.^2))),logflag="nl");
	title('HeaviSine; Best-m')
	xlabel('m')
	ylabel('c_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
//
	subplot(224); plot2d(reverse(cumsum(mtlb_sort(wcDoppler.^2))),logflag="nl");
	title('Doppler; Best-m')
	xlabel('m')
	ylabel('c_m')
	a=gca();a.data_bounds=([0 512 1 10^5])
    
    
    
 

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
