clc;mode(1);lines(0); 
// toon0511 -- Lincoln Refinement Scheme
//
// Show a 32x32 image of Abraham Lincoln.
//
mode(-1);  
scf(1);clf(1);
	HonestAbe = ReadImage('Lincoln');
	CrudeAbe  = HCoarsen2d(HonestAbe,1);
//
	mtlb_image(CrudeAbe);
	//axis('image')
	f=gcf();f.color_map=graycolormap(32);
	title('32 * 32 Image');
    
halt("press a key to proceed!");
clc;mode(1);    
// toon0512 -- Lincoln Refinement Scheme
//
//  Now show Abe as the upper left corner of a 128*128 
//  two-dimensional wavelet transform.
//
mode(-1);  
scf(1);clf(1);
	HonestAbe = ReadImage('Lincoln');
	CrudeAbe  = HCoarsen2d(HonestAbe,1);
//
	BigAbe    = zeros(128,128);
	BigAbe(1:32,1:32) = CrudeAbe;
	mtlb_image(BigAbe);
	//axis('image')
	f=gcf();f.color_map=graycolormap(32);
	title('Extension to 128*128 in Wavelet Domain');
    
halt("press a key to proceed!");
clc;mode(1);lines(0);    
// toon0513 -- Lincoln Refinement Scheme
//
//  Thinking of the picture in toon0512 as a 128*128 wavelet transform
//  of an image, undo the transform to extend the original 32*32 image
//  into one of 128*128.
//
mode(-1);  
scf(1);clf(1);
	L =2;
	D =2;
	Fil  = MakeAIFilter(2);
	Efil = MakeAIBdryFilter(2);
	DandyAbe = AIRefine2d(CrudeAbe,L,D,Fil,Efil);
//
	mtlb_image(DandyAbe);
	//axis('image')
	f=gcf();f.color_map=graycolormap(32);
	title('Extension to 128*128 in Original Domain');

halt("press a key to proceed!");
clc;mode(1);lines(0);     
// toon0514 -- Lincoln Refinement Scheme
//
//  Show the 32*32 image and the 128*128 refinement side by side.
//
mode(-1);  
scf(1);clf(1);
	HonestAbe = ReadImage('Lincoln');
	CrudeAbe  = HCoarsen2d(HonestAbe,1);
//
	clf;
	subplot(121);
	mtlb_image(CrudeAbe);
	//axis('image')
	f=gcf();f.color_map=graycolormap(32);
	title('32 * 32 Image');
//
	L =2;
	D =2;
	Fil  = MakeAIFilter(2);
	Efil = MakeAIBdryFilter(2);
	DandyAbe = AIRefine2d(CrudeAbe,L,D,Fil,Efil);
//
	subplot(122);
	mtlb_image(DandyAbe);
	//axis('image')
	f=gcf();f.color_map=graycolormap(32);
	title('Refinement to 128*128');
    
    
 

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
