clc;mode(1);lines(0); 
// toon0521 -- Progressive Transmission
//
//  Show the MRI image of the brain
//
mode(-1);  
scf(1);clf(1);
brain = ReadImage('MRIScan');
AutoImage(brain);
title('MRI Image of the Brain');
    
halt("press a key to proceed!");
clc;mode(1);    
// toon0522 -- Progressive Transmission
//
//  Take the Brain into the Wavelet Domain.
//
mode(-1);  
scf(1);clf(1);
	//global wbrain
	// 	09/29/99 MRD
	qmf = MakeONFilter('Coiflet',2);
	wbrain = FWT2_PO(brain,3,qmf);
//
	zmat = abs(wbrain);
	AutoImage(zmat);
	title('Wavelet Transform of MRI Brain Scan');

halt("press a key to proceed!");
clc;mode(1);lines(0);   
// toon0523 -- Progressive Transmission
//
//  Show progressive reconstructions using the First-m coefficients
//
mode(-1);  
scf(1);clf(1);
	//global wbrain
	// 	09/29/99 MRD
	wthresh = floor(.01*65536);
	cw_brain = matrix(wbrain(:)' .* bool2s((1:65536) < wthresh), 256, 256);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(221);
	AutoImage(r_brain);
	title('First 1% Reconstruction');
//
	wthresh = floor(.05*65536);
	cw_brain = matrix(wbrain(:)' .* bool2s((1:65536) < wthresh), 256, 256);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(222);
	AutoImage(r_brain);
	title('First 5% Reconstruction');
//
	wthresh = floor(.10*65536);
	cw_brain = matrix(wbrain(:)' .* bool2s((1:65536) < wthresh), 256, 256);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(223);
	AutoImage(r_brain);
	title('First 10% Reconstruction');
//
	wthresh = floor(.20*65536);
	cw_brain = matrix(wbrain(:)' .* bool2s((1:65536) < wthresh), 256, 256);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(224);
	AutoImage(r_brain);
	title('First 20% Reconstruction');
    
halt("press a key to proceed!");
clc;mode(1);lines(0);     
// toon0524 -- Progressive Transmission
//
//  Show progressive reconstructions using the Best-m coefficients
//
mode(-1);  
scf(1);clf(1);
	//global wbrain
//
	wcsort = reverse(mtlb_sort(abs(wbrain(:))));
//
	wthresh = wcsort(floor(.01*65536));
	cw_brain = wbrain .* bool2s(abs(wbrain) > wthresh);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(221);
	AutoImage(r_brain);
	title('Best 1% Reconstruction');
//
	wthresh = wcsort(floor(.05*65536));
	cw_brain = wbrain .* bool2s(abs(wbrain) > wthresh);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(222);
	AutoImage(r_brain);
	title('Best 5% Reconstruction');
//
	wthresh = wcsort(floor(.10*65536));
	cw_brain = wbrain .* bool2s(abs(wbrain) > wthresh);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(223);
	AutoImage(r_brain);
	title('Best 10% Reconstruction');
//
	wthresh = wcsort(floor(.20*65536));
	cw_brain = wbrain .* bool2s(abs(wbrain) > wthresh);
	r_brain = IWT2_PO(cw_brain,3,qmf);
	subplot(224);
	AutoImage(r_brain);
	title('Best 20% Reconstruction');
    
 


 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
