clc;mode(1);lines(0);   
// toon0541 -- Data Compression of Ingrid Daubechies
//
//  First a picture of Ingrid.
//
mode(-1);  
scf(1);clf(1);
	ingrid = ReadImage('Daubechies');
//
	subplot(111)
	GrayImage(ingrid)
	title('Ingrid Daubechies');
    
        halt("press a key to proceed!");
clc;mode(1);lines(0);   
// toon0542 -- Data Compression of Ingrid Daubechies
//
//  Take Ingrid into the Wavelet Domain.
//
mode(-1);  
scf(1);clf(1);
	qmf = MakeONFilter('Coiflet',2);
	wingrid = FWT2_PO(ingrid,3,qmf);
//
	zmat = abs(wingrid);
	AutoImage(zmat);
	title('Wavelet Transform of Ingrid Daubechies');
    
    halt("press a key to proceed!");
clc;mode(1);lines(0);      
// toon0543 -- Data Compression of Ingrid Daubechies
//
//  Investigate Sparsity in the Wavelet Transform of Daubechies.
//
mode(-1);  
scf(1);clf(1);
	wcsort = mtlb_sort(abs(wingrid(:)));
	wcerr  = cumsum(wcsort.^2);
	wcerr  = flipud(wcerr);
//
//  Sparsify Image
//
	wthresh = wcsort(floor(.95*65536));
	cw_ingrid = wingrid .* bool2s(abs(wingrid) > wthresh);
	[i,j] = find(cw_ingrid);
//         s=cw_ingrid(i,j);s=s(:);
// 	sp_ingrid = sparse([i',j'],s,[256,256]);
        sp_ingrid=ones(cw_ingrid);
        sp_ingrid(i,j)=100;
        Matplot(sp_ingrid)
	//spy(sp_ingrid)
	title('Nonzero Pattern in Sparsification of WT[Daubechies]')
    
    halt("press a key to proceed!");
clc;mode(1);lines(0);   
    // toon0544 -- Data Compression of Ingrid Daubechies
//
//  Reconstruct Daubechies from 5% of her coefficients.
//
mode(-1);  
scf(1);clf(1);
	icw_ingrid = IWT2_PO(cw_ingrid,3,qmf);
	AutoImage(icw_ingrid);
	title('95% Wavelet Co/Dec of Daubechies');
    
      halt("press a key to proceed!");
clc;mode(1);lines(0);    
// toon0545 -- Data Compression of Ingrid Daubechies
//
//  Try to compress Daubechies in the Fourier Domain.
//
mode(-1);  
scf(1);clf(1);
	fingrid = dct2_iv(ingrid);
	fcsort = mtlb_sort(abs(fingrid(:))); 
//
	fthresh = fcsort(floor(.95*65536));
	cf_ingrid = fingrid .* (abs(fingrid) > fthresh);
	icf_ingrid = dct2_iv(cf_ingrid);
	GrayImage(icf_ingrid,256);
	title('95% DCT Co/Dec of Ingrid');
    halt("press a key to proceed!");
clc;mode(1);lines(0);      
// toon0546 -- Data Compression of Ingrid Daubechies
//
//  Compare compression numbers for the wavelet and DCT
//  transforms of Daubechies.
//
mode(-1);  
scf(1);clf(1);
	fingrid = dct2_iv(ingrid);
	fcsort = mtlb_sort(abs(fingrid(:))); 
	fcerr = cumsum(fcsort.^2);
	fcerr = flipud(fcerr);
	front = 1:5537;
	ymax = fcerr(1);
	txt1 = log10(ymax)-1;
	txt2 = log10(ymax)-1.5;
//
	plot2d(fcerr(front),logflag="nl"); 
        e=gce();
        e.children(1).foreground=color("yellow");
        e.children(1).line_style=2;
	plot2d(wcerr(front),logflag="nl"); 
        e=gce();
        e.children(1).foreground=color("red");
        e.children(1).line_style=3;

	xlabel('Number of Coefficients Retained'); ylabel('sum(error^2)')
	title('Wavelet Compression vs. DCT Compression')
        legend(['DCT --';'DWT -'],3);
// 	h = text(4000,10^txt1,'DCT --'); set(h,'Color','Yellow');
// 	h = text(4000,10^txt2,'DWT -');  set(h,'Color','Red');	
	//hold off;
    halt("press a key to proceed!");
clc;mode(1);lines(0);       
// toon0547 -- Data Compression of Ingrid Daubechies
//
//  Visualize residuals (reconstruction errors) for
//  the wavelet and DCT transforms of Daubechies.
//
mode(-1);  
scf(1);clf(1);
	subplot(1,2,1)
	GrayImage(abs(ingrid-icw_ingrid),32);
	title('Errors from 95% Wavelet Co/Dec')
	F=gcf();F.color_map=(1-graycolormap(32));
	
	subplot(1,2,2)
	GrayImage(abs(ingrid-icf_ingrid),32);
	title('Errors from 95% DCT Co/Dec')
	F=gcf();F.color_map=(1-graycolormap(32));
    halt("press a key to proceed!");
clc;mode(1);lines(0);       
// toon0548 -- Data Compression of Ingrid Daubechies
//
//  A side-by-side comparison of the 95% wavelet
//  and Fourier compressions.
//
mode(-1);  
scf(1);clf(1);
	subplot(121); 
	GrayImage(icw_ingrid,256);
	title('(a) 95% Wavelet Compression of Ingrid');
//
	subplot(122)
	GrayImage(icf_ingrid,256);
	title('(b) 95% Fourier Compression of Ingrid');
    
    
 
 
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
