clc;mode(1);lines(0);
// toon0731 -- Illustrate Time-Frequency Tiling by Wavelet Packets
//
//	Panel 1 -- Fourier Transform on side
//	Panel 2 -- Time-Frequency Rectangle
//	Panel 4 -- Signal
//
mode(-1);  
scf(1);clf(1);
	n = 64;
	wplist = [ 4 2 1 ];
	sz = size(wplist); nr = sz(1); 
	for i=1:nr,
	
		d = wplist(i,1);
		b = wplist(i,2);
		k = wplist(i,3);
	
		wp = MakeWaveletPacket(d,b,k,'Coiflet',3,n);
		fwp = abs(mtlb_fft(wp));
		t = (0:(n-1)) ./n;
		wpstr = sprintf('WaveletPacket(%i,%i,%i)',d,b,k);
		
		
		subplot(2,2,2);
		qmf = MakeONFilter('Coiflet',3);
		ImageAtomicPhase('WP', [1 d b k ], n, wpstr, 64,qmf);
		subplot(2,2,1);
		
		plot(fwp(1:(n/2)),(1:(n/2))./(n/2))
		title('Frequency Domain');
		xlabel(['|FFT(' wpstr ')|']);
		ylabel('Frequency');
	
		subplot(2,2,4);
		
		plot(t,wp)
		title('Time Domain');
		ylabel(wpstr);
		xlabel('Time');
		

		
	end
         halt("press a key to proceed!");
clc;mode(1);lines(0);
// toon0731 -- Illustrate Time-Frequency Tiling by Wavelet Packets
//
//	Panel 1 -- Fourier Transform on side
//	Panel 2 -- Time-Frequency Rectangle
//	Panel 4 -- Signal
//
mode(-1);  
scf(1);clf(1);
	n = 64;
	wplist = [ 4 7 2 ];
	sz = size(wplist); nr = sz(1); 
	for i=1:nr,
	
		d = wplist(i,1);
		b = wplist(i,2);
		k = wplist(i,3);
	
		wp = MakeWaveletPacket(d,b,k,'Coiflet',3,n);
		fwp = abs(mtlb_fft(wp));
		t = (0:(n-1)) ./n;
		wpstr = sprintf('WaveletPacket(%i,%i,%i)',d,b,k);
		
		
		subplot(2,2,2);
		qmf = MakeONFilter('Coiflet',3);
		ImageAtomicPhase('WP', [1 d b k ], n, wpstr, 64,qmf);
		subplot(2,2,1);
		
		plot(fwp(1:(n/2)),(1:(n/2))./(n/2))
		title('Frequency Domain');
		xlabel(['|FFT(' wpstr ')|']);
		ylabel('Frequency');
	
		subplot(2,2,4);
		
		plot(t,wp)
		title('Time Domain');
		ylabel(wpstr);
		xlabel('Time');
		

		
	end
    

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
