clc;mode(1);lines(0);
// toon1611 -- FBI Fingerprint Compression
//
//  The United States Federal Bureau of Investigation uses a fixed
//  Wavelet Packet basis to compress fingerprints.  Here we illustrate
//  the compression of a sample fingerprint in this basis.
//
//  First plot the fingerprint and the FBI basis.
//
mode(-1);  
scf(1);clf(1);
	finger = ReadImage('Fingerprint');
	fbi_tree = BuildFBITree(9);
//
	subplot(211);
	AutoImage(finger);
	title('Fingerprint');
//
	subplot(212);
	AutoImage(finger);
// 	ax = axis;
// 	hold on;
         a=gca();ax = a.data_bounds;ax=ax(:)';
	Plot2dPartition(fbi_tree,'y',ax,9);
	title('Partition by FBI Basis');
    
   halt("press a key to proceed!");
clc;mode(1);     
 // toon1612 -- FBI Fingerprint Compression
//
//  The United States Federal Bureau of Investigation uses a fixed
//  Wavelet Packet basis to compress fingerprints.  Here we illustrate
//  the compression of a sample fingerprint in this basis.
//
//  Show first- and best- 5% reconstructions and the errors.
//
mode(-1);  
scf(1);clf(1);
	qmf = MakeONFilter('Symmlet',8);
	wfinger = FPT2_WP(fbi_tree,finger,qmf);
//
	wthresh = floor(.05*262144);
	cw_finger = matrix(wfinger(:)' .* bool2s((1:262144) < wthresh), 512, 512);
	r_finger = IPT2_WP(fbi_tree,cw_finger,qmf);
	subplot(221);
	AutoImage(r_finger);
	title('First 5% Reconstruction');
	subplot(222);
	AutoImage(abs(finger-r_finger));
	title('First 5% Reconstruction Error');
//
	wcsort = reverse(mtlb_sort(abs(wfinger(:))));
	wthresh = wcsort(floor(.05*262144));
	cw_finger = wfinger .* bool2s(abs(wfinger) > wthresh);
	r_finger = IPT2_WP(fbi_tree,cw_finger,qmf);
	subplot(223);
	AutoImage(r_finger);
	title('Best 5% Reconstruction');
	subplot(224);
	AutoImage(abs(finger-r_finger));
	title('Best 5% Reconstruction Error');
    

   halt("press a key to proceed!");
clc;mode(1);  
// toon1613 -- FBI Fingerprint Compression
//
//  The United States Federal Bureau of Investigation uses a fixed
//  Wavelet Packet basis to compress fingerprints.  Here we illustrate
//  the compression of a sample fingerprint in this basis.
//
//  Show first- and best- 10% reconstructions and the errors.
//
mode(-1);  
scf(1);clf(1);
	global finger fbi_tree
// MRD 4/28/99
	qmf = MakeONFilter('Symmlet',8);
	wfinger = FPT2_WP(fbi_tree,finger,qmf);
//
	wthresh = floor(.10*262144);
	cw_finger = matrix(wfinger(:)' .* bool2s((1:262144) < wthresh), 512, 512);
	r_finger = IPT2_WP(fbi_tree,cw_finger,qmf);
	subplot(221);
	AutoImage(r_finger);
	title('First 10% Reconstruction');
	subplot(222);
	AutoImage(abs(finger-r_finger));
	title('First 10% Reconstruction Error');
//
	wcsort = reverse(mtlb_sort(abs(wfinger(:))));
	wthresh = wcsort(floor(.10*262144));
	cw_finger = wfinger .* bool2s(abs(wfinger) > wthresh);
	r_finger = IPT2_WP(fbi_tree,cw_finger,qmf);
	subplot(223);
	AutoImage(r_finger);
	title('Best 10% Reconstruction');
	subplot(224);
	AutoImage(abs(finger-r_finger));
	title('Best 10% Reconstruction Error');
    
    
 

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
