function AutoImage(img,x,y)
// Image display of object assuming arbitrary values
//  Calling Sequence
//    AutoImage(img [,x,y])
// Parameters
//  Inputs:
//    img :    2-d image
//    x,y :    where x and y are vectors, specifies the labeling of     X- and Y-axes, but produces the same image as AutoImage(img).
//
//  Description
//    If the object is already scaled to the range (0,255) you may
//    use GrayImage.
//
//  Side Effects
//    The object img, assuming arbitrary values, is scaled to the 
//    range (0,255) and displayed as an image with 256 shades of gray.
//
//  See also
//    GrayImage
//
// Authors
// H. Nahrstaedt - 2011
// Copyright (c) 1993. David L. Donoho

 [nargout,nargin]=argn();
	mmin = min(min(img));
	mmax = max(max(img));

	if nargin == 1,
		mtlb_image(255*(img-mmin)/(mmax-mmin)+1)
	else
		mtlb_image(x,y,255*(img-mmin)/(mmax-mmin)+1)
	end

	//axis('image')
	f=gcf();f.color_map=(graycolormap(256));
    
    
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
