function s = AutoTrunc(y,sig)
//  Perform Truncation
//  Calling Sequence
//    s = AutoTrunc(y,sig)
//
// Authors
// H. Nahrstaedt - 2011
// Copyright (c) 1993. David L. Donoho

v = Wavelab_fft(y) ./ sqrt(max(size(y)));
n = max(size(y));
hv = v(1:(n/2));
sv = steintrunc(hv,sig);
vv = [sv 0 conj(sv((n/2):-1:2))];
s = sqrt(max(size(y))) .* real(Wavelab_ifft(vv));
    
    
endfunction 
 
function x = steintrunc(y,sig)
// Perform Truncation
//  Calling Sequence
//    x = steintrunc(y,sig)
//

u = opttrunc(y ./sig);
t = min(u);
indmin = find(u==t);
x = y .* bool2s((1:max(size(y))) <= indmin);
    

endfunction


function urisk = opttrunc(y)
// Perform Truncation
//  Calling Sequence
//    urisk = opttrunc(y)
//

tails = reverse(cumsum(reverse(abs(y).^2)));
n = max(size(y));
penalty = (-n):2:(n-2);
urisk = tails + penalty;
    
    
 endfunction
 


//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:41 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
