function norms = CalcCWTNorms(cw,p)
// Calculate Norm at each Scale of CWT
//  Calling Sequence
//    norms = CalcCWTNorms(cw,p);
//  Parameters
//  Inputs:
//    cw  :    CWT array
//    p   .    optional, default = %Inf
//  Outputs:
//    norms :  vector of p-norms scale by scale 
//  
// Authors
// H. Nahrstaedt - 2011
// Copyright (c) 1993. David L. Donoho

        [lhs,rhs]=argn();

	if rhs < 2,
		p = %inf;
	end
	
	sz = size(cw);
	nscale = sz(2);
	norms = zeros(1,nscale);
	
	for k=1:nscale,
		norms(k) = norm(cw(:,k),p);
	end
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
