function Compare4Compress(x,Title,qmf,wpdepth,cpdepth,axlim)
// Compare WP and CP Compressions
//  Calling Sequence
//    Compare4Compress(x,Title,qmf,wpdepth,cpdepth,axlim)
//
// Authors
// H. Nahrstaedt - 2011
// Copyright (c) 1993. David L. Donoho
  [nargout,nargin]=argn();
	if nargin < 6,
		axlim = [ (-2) 4 ];
	end
	ymax = axlim(2);
	ymin = axlim(1);
	
//
//    1. WT
//
	wc = FWT_PO(x,4,qmf);
//
//    2. WPT
//
	wpt = WPAnalysis(x,wpdepth,qmf);
	stt = CalcStatTree(wpt,'Entropy');
	[btree,vtree] = BestBasis(stt,wpdepth);
	wpcoef = UnpackBasisCoeff(btree,wpt);
//
//    3. CPT
//
	cpt = CPAnalysis(x,cpdepth,'Sine');
	stt = CalcStatTree(cpt,'Entropy');
	[btree,vtree] = BestBasis(stt,cpdepth);
	cpcoef = UnpackBasisCoeff(btree,cpt);
//
//    4. DCT
//
	dccoef = dct_iv(x);
//
//    5. Compression Numbers
//
	wprev = reverse(cumsum(mtlb_sort(wpcoef.^2)));
	wcrev = reverse(cumsum(mtlb_sort(wc    .^2)));
	dcrev = reverse(cumsum(mtlb_sort(dccoef.^2)));
	cprev = reverse(cumsum(mtlb_sort(cpcoef.^2)));
//
//    6. Display Compression Numbers
//
	//semilogy(cprev,'r--'); 
        plot2d(cprev,logflag="nl");
        e=gce();
        e.children(1).foreground=color("red");
        e.children(1).line_style=2;
	a=gca();a.data_bounds=([0 500 10^(ymin) 10^(ymax)])
	//hold on;
	//semilogy(wprev,'g-.'); 
        plot2d(wprev,logflag="nl");
        e=gce();
        e.children(1).foreground=color("green");
        e.children(1).line_style=3;
	//semilogy(wcrev,'b-'); 
        plot2d(wcrev,logflag="nl");
        e=gce();
        e.children(1).foreground=color("blue");
        e.children(1).line_style=4;
	//semilogy(dcrev,'y:'); 
        plot2d(dcrev,logflag="nl");
        e=gce();
        e.children(1).foreground=color("yellow");
        e.children(1).line_style=5;
        legend(['CPT','WPT','DWT','DCT'],3);
	//xstring(400,10^(ymax-.5) ,'CPT --'); //set(h,'Color','Red');
	//xstring(400,10^(ymax-.9) ,'WPT -.'); //set(h,'Color','Green');
	//xstring(400,10^(ymax-1.3),'DWT - '); //set(h,'Color','Blue');
        //xstring(400,10^(ymax-1.7),'DCT ..'); //set(h,'Color','Yellow');
	title(['Compression Numbers: ' +Title ]);
	xlabel('number of coefficients retained'); 
	ylabel('reconstruction error')
	//hold off;
endfunction
    

    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
