function d = DownDyadLo(x,qmf)
// Lo-Pass Downsampling operator (periodized)
//  Calling Sequence
//    d = DownDyadLo(x,f)
//  Parameters
//  Inputs:
//    x   : 1-d signal at fine scale
//    f   : filter
//  Outputs:
//    y   : 1-d signal at coarse scale
//
//  See also
//    DownDyadHi
//    UpDyadHi
//    UpDyadLo
//    FWT_PO
//    aconv
// Authors
// Copyright (c) 1993. Iain M. Johnstone
//  H. Nahrstaedt - 2011

	d = aconv(qmf,x);
	n = max(size(d));
	d = d(1:2:(n-1));
endfunction
   
    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
