function d = DownDyadLo_PBS(x,qmf)
// Lo-Pass Downsampling operator (periodized,symmetric)
//  Calling Sequence
//    d = DownDyadLo_PBS(x,sf)
//  Parameters
//  Inputs:
//    x   : 1-d signal at fine scale
//    sf  : symmetric filter
//  Outputs:
//    y   : 1-d signal at coarse scale
//
//  See also
//    DownDyadHi_PBS
//    UpDyadHi_PBS
//    UpDyadLo_PBS
//    FWT_PBS
//    symm_aconv
// Authors
//
// Copyright (c) 1995. David L. Donoho
//     H. Nahrstaedt - 2011

	d = symm_aconv(qmf,x);
	n = max(size(d));
	d = d(1:2:(n-1));

endfunction
//   
    


    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
