function Profile = FastEntProfile(wc,sg,L,D,EntType)
// Fast Entropy Profile
//  Calling Sequence
//    Profile = FastEntProfile(wc,sg,L,D,EntType)
//
//  Description
//    actually only for D=2, L=4
//

if D~=2,
   warning('oops, I only know D=2');
   D=2;
end
//
if EntType ~= 1 & EntType ~= 2,
   warning('oops, I only know EntType = ell^1 or ell^2');
   EntType=1;
end
//
	[n,J] = dyadlength(wc);
	Profile = zeros(1,n) + %nan;
	ingo    = zeros(1,n) + %nan;
	outgo   = zeros(1,n);
	sz     = size(sg); mm = sz(1);
	if EntType==1,
	     p = abs(wc); q = abs(sg);
	else
	  if EntType==2,
	     p = wc.^2;  q = sg.^2;
	  end
	end
	for k=(n/16):(15*n/16),
	     segpt = k/n;
	     for Lev=(J-1):-1:L,
	       k0 = floor(n/(2^(J-Lev)) * segpt);
	       outgo(k) = outgo(k) + sum(p(2^(Lev) + (k0:k0+2)));
	    end
	    ingo(k) = sum(sum(q(:,k)));
	end
	Profile = ingo-outgo;
    
    
endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:41 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
