function Noisysig = GWNoisy(data,sigma)
//  Addition of a Gaussian White Noise
//  Calling Sequence
//    Noisysig = GWNoisy(sig,sigma)
//  Parameters
//  Inputs:
//    sig  :      Input signal
//    sigma :  s.d for additive Gaussian White Noise
//  Outputs:
//    Noisysig:    1-d signal
// Authors
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011

n=max(size(data));
Noise=GWN(n,sigma);
Noisysig=Noise+data;



endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
