function x = IWT_Stat(StatWT,qmf)
// Invert Stationary Wavelet Transform
//  Calling Sequence
//    x = IWT_Stat(StatWT,L,qmf)
//   Parameters
//  Inputs:
//    StatWT:   stationary wavelet transform table
//    qmf   :   quadrature mirror filter
//  Outputs:
//    x     :   1-d signal reconstructed from StatWT
//
//  See also
//    FWT_Stat
//
// Authors
// Copyright (c) 1994. David Donoho and Shaobing Chen
// H. Nahrstaedt - 2011

	TIWT = Stat2TI(StatWT);
	x    = IWT_TI(TIWT,qmf);

endfunction
   
    

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
