function ImageAWT(cwt,Scaling,colors,option)
//  Image of Continuous Wavelet Transform
//  Calling Sequence
//    ImageAWT(awt,scaling,colors)
//  Parameters
//  Inputs:
//    awt  :    matrix produced by AWT
//    scaling:  string, 'Overall', 'Individual'
//    colors :  string  argument for colormap
//    option :  'lin' or 'log' for the type of display
//
//  Description
//    Image Display of Continuous Wavelet Transform
// Authors
// Modified (and renamed) by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011
 [nargout,nargin]=argn();
	if nargin < 4
       	    option = 'log';
	end
	sz     = size(cwt);
	n      = sz(1);
	nscale = sz(2);
	noctave= floor(log2(n)) -2;
	nvoice = nscale ./ noctave;


        if  (option=='log')
	  ytix   = linspace(4,(noctave+2),nscale);
	  xtix   = linspace(0,n,n);
	else
	  xtix   = linspace(0,n,n);
	  ytix   = linspace(450,0,nscale);
	end
	
	if (Scaling=='Individual'),
	    for k=1:nscale,
		    goodstart = min(n/2 .* 2^(-k/nvoice), n/4);
		    amax  = max(abs(cwt(goodstart:(n-goodstart),k)));
		    cwt(:,k) = abs(cwt(:,k)) ./ amax .*255 + 1;
		end
	else 
	     amax = max(max(abs(cwt)));
	     cwt = abs(cwt) ./ amax .*255 + 1;
	end
	
	if (option=='lin')
	  mtlb_image(xtix,ytix, flipud(cwt'));
	  //axis('xy');
	  ylabel('Frequency')
	else
	  mtlb_image(xtix,ytix, cwt');
          //axis('ij');
	  ylabel('log2(s)')
	end
      f=gcf();
	execstr(sprintf('f.color_map=(1-%scolormap(256))',colors));
endfunction
//   
// Originally Part of WaveLab Version .701
//

    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
