function ImageRWT(rwt,Scaling,colors,option,oct,scale)
// Image of Continuous Wavelet Transform
//  Calling Sequence
//    ImageRWT(rwt,scaling,colors)
//  Parameters
//  Inputs:
//    rwt  :    matrix produced by RWT
//    scaling:  string, 'Overall', 'Individual'
//    colors :  string  argument for colormap
//    option :  'lin' or 'log' for the type of display
//
//  Description
//    Image Display of Continuous Wavelet Transform
// Authors
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011

  [lhs,rhs]=argn();
	if rhs < 5,
		oct = 2;
		scale = 4;
	end
	if rhs < 4
       	    option = 'log';
	end
	sz     = size(rwt);
	n      = sz(1);
	nscale = sz(2);
	noctave= floor(log2(n)) -2;
	nvoice = nscale ./ noctave;

// 	rwt = fliplr(rwt);
        if  string(option)=='log'     
	  ytix   = linspace(2+(oct-floor(log2(scale))),log2(n)+2-floor(log2(scale)),nscale);
//	  ytix   = linspace(1+(oct-floor(log2(scale))),log2(n)-oct,nscale);
	  xtix   = linspace(0,n,n);
	else
	  xtix   = linspace(0,n,n);
//	  ytix   = linspace(n/2,0,nscale);
	 ytix   = linspace(2^(2+(oct-floor(log2(scale)))),n*2/scale,nscale);
	end
	
	if string(Scaling)=='Individual',    //strcmp(Scaling,'Individual'),
	    for k=1:nscale,
//		    goodstart = min(n/2 .* 2^(-k/nvoice), n/4);
//			amin = min(rwt(goodstart:(n-goodstart),k));
//		    amax  = max((rwt(goodstart:(n-goodstart),k)));
		amax  = max(rwt(:,k));
		amin = min(rwt(:,k));
		    rwt(:,k) = ((rwt(:,k))-amin) ./ (amax-amin) .*255 + 1;
		end
	else 
		amin = min(min(rwt));
	     amax = max(max((rwt)));
//	     rwt = (rwt-amin) ./ (amax-amin) .*256;
		rwt = (rwt+amax) ./ (2*amax) .*255 + 1;
	end
	
        if string(option)=='lin'   
        
	  mtlb_image(xtix,ytix, flipud(rwt'));
	  //axis('xy');
	else
	
	  mtlb_image(xtix,ytix, rwt');
          //axis('ij');
	  xlabel('')
	  ylabel('log2(s)')
	end
        f=gcf();
        execstr(sprintf('f.color_map=(1-%scolormap(256))',colors));
endfunction


    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 