function ImageWTMM(maxmap,option,Color,titlestr)
// Maxima of Continuous Wavelet Transform
//  Calling Sequence
//    ImageWTMM(maxmap)
//   Parameters
//  Inputs:
//    maxmap:      maxmap produced by WTMM
//    option :     'lin' or 'log' (default) for display
//    color   :    character color, default yellow
//    titlestr :   optional. if supplied & empty, suppress title.   if supplied & nonempty replace default title.
//
//  Description
//    Spy Display of Maxima of CWT
// Authors
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011

  [lhs,rhs]=argn();
	if rhs < 4,
	    titlestr = 'Local Maxima of CWT';
	end
	
	if rhs < 3,
		Color = 'b';
	end
 
	if rhs < 2,
		option = 'log';
	end
	
	
	sz     = size(maxmap);
	n      = sz(1);
	nscale = sz(2);
	noctave= floor(log2(n)) -2;
	nvoice = nscale ./ noctave;

	if  string(option)=='log'   
	   ytix   = linspace(2,(noctave+2),nscale);
	   xtix   = linspace(0,n,n);
	else
	  xtix   = linspace(0,n,n);
	  ytix   = linspace(0,nscale,nscale);
	end		
        [i,j] = find(maxmap);
	if string(option)=='log'   
	  y  = 2 + (j) ./ nvoice;
          x = i;
        else
          x = i;
	  y = (j);
	end
	charstyle = Color +'.';
	
	plot(x,y,charstyle);
        e=gce();e.children(1).mark_size=1
	//axis('ij')
	if string(option)=='log'    
	  a=gca();a.data_bounds=([1 n 2 (noctave+2)]); 
	  ylabel('log2(scale)');
	else
	  a=gca();a.data_bounds([1 n 4 nscale]);
          ylabel('s');
          xlabel('i');
	end
	if ~isempty(titlestr),
	  title(titlestr);
	end
endfunction
    
//   
// Originally Part of WaveLab Version .701
//   

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 