function xhat = JamesStein(y)
//  James-Stein Shrinker
// Calling Sequence
//    xhat = JamesStein(y)
//   Parameters
// Inputs:
//    y   :   Noisy Data, Standard Deviation of Noise = 1.
// Outputs:
//    xhat :  James-Stein Estimate of x
// Description
//    dimension(x) > 2 is required.
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	ss  = sum(y.^2);
	n   = max(size(y));
	shrnk = max((ss - (n-2))/ss,0);
	xhat = shrnk .* y;

endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:41 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
