function spars = KeepBiggest(dense,N)
// Kill (set to zero) all but N biggest elements
//  Calling Sequence
//    sparse = KeepBiggest(dense,N)
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011


        ordered   = reverse(mtlb_sort(abs(dense(:))));
        threshold = ordered(N);
        spars    = dense .* bool2s(abs(dense) >= threshold);

endfunction

//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu

