function [bp,bm] = MakeONBell(Name,m)
// Make Bell for Orthonormal Local Cosine Analysis
//  Calling Sequence
//    [bp,bm] = MakeONBell(bell,m)
//    Parameters
//  Inputs:
//    bell :     bellname, currently 'Trivial','Sine'
//    m    :     length of bell
//  Outputs:
//    bp   :     part of bell interior to domain
//    bm   :     part of bell exterior to domain
//
// See also
//    CPAnalysis
//    CPSynthesis
//    MakeCosinePacket
//
// Authors
// Copyright (c) 1993. David L. Donoho
//     H. Nahrstaedt - 2011
   

	xi = (1 + (.5:(m-.5))./m)./2;
	if string(Name)=='Trivial',
	   bp = sqrt(xi);
	elseif string(Name)=='Sine',
	   bp = sin( %pi/2 .* xi );
	end
	bm = sqrt(1 - bp .^2); 
	endfunction
 
    

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
