function [Smooth,rough] = MedITriadDown(x,j,D)
// Med Triad Down
//  Calling Sequence
//    [Smooth,rough] = MedITriadDown(x,j,D)
// 
// Authors
// Copyright (c) 1995. David L. Donoho and Thomas P.Y.Yu
// H. Nahrstaedt - 2011

        global SORTX
        n = 3^j;
	
	// coarsening
	N = max(size(SORTX));
	J = log(N)/log(3);
	TriMergeSort(j);
	blocklength = round(3^(J-j+1)); numblock = round(3^(j-1));
	Smooth = SORTX( (blocklength+1)/2 : blocklength : N );
	// refinement
	if D == 0;
	  interpolant = matrix([Smooth; Smooth; Smooth], 1, n);
	elseif D == 2;
	  [m1,m2,m3] = QuadMedRef(Smooth(1), Smooth(2), Smooth(3), 'Left');
	  interpolant(:,1) = [m1; m2; m3];
	  for i = 2:(n/3-1),
	    [m1,m2,m3] = QuadMedRef(Smooth(i-1), Smooth(i), Smooth(i+1));
	    interpolant(:,i) = [m1; m2; m3];
	  end
	  [m1,m2,m3] = QuadMedRef(Smooth(n/3-2), Smooth(n/3-1), Smooth(n/3), 'Right');
	  interpolant(:,n/3) = [m1; m2; m3];
	  interpolant = matrix(interpolant, 1, n);
	else
	  printf('I only know how to so D=0 or 2!\n');
	end
	
	rough = x - interpolant;
    
endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
