function x = MedITriadUp(Smooth,rough,D)
//  Med Triad Up
//  Calling Sequence
//    MedITriadUp(Smooth,rough)
//
// 	 Authors				
// Copyright (c) 1995. David L. Donoho and Thomas P.Y.Yu
//     H. Nahrstaedt - 2011
    
        n = max(size(rough));
	
	if D == 0,
	  interpolant = matrix([ Smooth ; Smooth; Smooth ],1,n);
	elseif D == 2,
	  interpolant = [];
	  
	  [m1,m2,m3] = QuadMedRef(Smooth(1), Smooth(2), Smooth(3), 'Left');
	  interpolant = [interpolant m1 m2 m3];
	  for i = 2:(n/3-1),
	    [m1,m2,m3] = QuadMedRef(Smooth(i-1), Smooth(i), Smooth(i+1));
	    interpolant = [interpolant m1 m2 m3];
	  end
	  [m1,m2,m3] = QuadMedRef(Smooth(n/3-2), Smooth(n/3-1), Smooth(n/3), 'Right');	  
	  interpolant = [interpolant m1 m2 m3];
	else
	  printf('I only know how to so D=0 or 2!\n');
	end
	
	x = rough + interpolant;
endfunction

 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
