function [Smooth,rough] = MedTriadDown(x)
//  Med Triad Down
//  Calling Sequence
//    [Smooth,rough] = MedTriadDown(x)
//
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


n = max(size(x));
cx = matrix(x,3,n/3);
Smooth = mtlb_median(cx);
rough = cx - [ Smooth ; Smooth; Smooth ];
rough = matrix(rough,1,n);
    
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
