function [x,y] = NoiseMaker(f,rho)
//  Add Noise to Signal
// Calling Sequence
//   [x,y] = NoiseMaker(f,rho)
//  Parameters
// Inputs:
//    f  :    True Underlying Signal, normalized
//    rho:    Desired Signal-to-Noise ratio
// Outputs:
//    x  :    Scaled version of f
//    y  :    x + z, z i.i.d. N(0,1)
// Description
//    used to create artficial data with noise level 1
//    that shrinkage software expects
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

   sig = st_deviation(f(:));
   y = (rho/sig).* f + rand(f,"normal");
   x = (rho/sig).*f;
endfunction
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
