function PlotEquivRate(cnumbers,ctype,Title)
//  Plot Equivalent Rates
//  Calling Sequence
//    PlotEquivRate(cnumbers,type,Title)
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	if (ctype=='WP'),
		pch = 'b--';
	elseif (ctype=='CP'),
		pch = 'y-';
	end

	n = max(size(cnumbers));
	plot((1:(n-1))' .* log(cnumbers(1:(n-1))./cnumbers(2:n)),pch);
	xstring(.70*n,9,'MPCP - '); //set(h,'Color','Blue');
	xstring(.70*n,8,'MPWP --'); //set(h,'Color','Yellow');
        
	xlabel('m')
	ylabel('m * log( c_m / c_{m+1} )')
	title(['Equivalent Rate: ' +Title])
	a=gca();a.data_bounds=([0 n 0 10 ])
	//hold on;
    
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
