function PlotGaborPhase(TFType,wp,ell,titlestr)
// Partition phase space with congruent rectangles
//  Calling Sequence
//    PlotGaborPhase(pkt,ell[,titlestr])
//  Parameters
//  Inputs:
//    TFType:    type of Time-Frequency Decomposition: 'CP' or 'WP'
//    pkt   :    wavelet or cosine packet table
//    ell    :   level of packet table to use
//    titlestr:  optional title string for plot
//
//  Description
//    Phase plot with 2^ell vertical and n/(2^ell) horizontal
//    subdivisions.   
//Authors
//
// Copyright (c) 1993. David L. Donoho
//     H. Nahrstaedt - 2011


 [nargout,nargin]=argn();

	if nargin < 3,
	   titlestr = ' ';
	end
	[n,L] = size(wp);
	ltree = zeros(1,2^L);
	if ell >= 1 & ell < L,
	   ltree(1:(2^ell-1)) = ones(1,2^ell-1);
	end
	PlotPhasePlane(TFType,ltree,wp,titlestr)
endfunction

    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
