function PlotMomentGenFun(tau,q)
//  Display Moment Generating Function
//  Calling Sequence
//    PlotMomentGenFun(tau,q)
//  Parameters
//  Inputs:
//    tau  :     matrix a by nq of ``Moment Generating Func''
//    q    :     optional list of exponents default linspace(-2,5,61)
//
//  Description
//    tau(q) = Slope [ log(z(q,a))  versus log(a) ]
//
//    Displays a plot of tau(q) versus q
//
//  See also
//    CalcMomentGenFun
// Authors
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
//H. Nahrstaedt - 2011
        
  [lhs,rhs]=argn();
	if rhs < 2,
	    q = linspace(-2,5,61);
	end
	if isempty(q),
		q = linspace(-2,5,61);
	end


	plot(q,tau,'b+');
	title('Moment Generating Function');
	xlabel('q');
	ylabel('tau(q)');
	endfunction
	

// Originally Part of WaveLab Version .701
//   

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
