function PlotMultiSpectrum(f,alpha)
// Display Multifractal Spectrum
//  Calling Sequence
//    PlotMultiSpectrum(f,alpha)
//  Parameters
//  Inputs:
//    f    :     vector 1 by nalpha from CalcFracSpectrum
//    alpha :    optional list of exponents default linspace(-.1,.9,11)
//
// Description
//    Displays a plot of f(alpha) versus alpha
//
//  See also
//    CalcFracSpectrum
// Authors
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
//H. Nahrstaedt - 2011
  
  [lhs,rhs]=argn();
	if rhs < 2,
	    alpha = linspace(.1,.9,11);
	end
	if isempty(alpha),
		alpha = linspace(.1,.9,11);
	end
        

	plot(alpha,f,'b+');
	title('Multifractal Spectrum');
	xlabel('alpha');
	ylabel('f(alpha)');
	endfunction
//   
// Originally Part of WaveLab Version .701
//   

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
