function PlotSpikes(base,t,x,Length)
//  Plot 1-d signal as baseline with series of spikes
//  Calling Sequence
//    PlotSpikes(base,t,x)
//    PlotSpikes(base,t,x,Length)
//  Parameters
//  Inputs:
//    base:   number, baseline level
//    t   :   ordinate values
//    x   :   1-d signal, specifies spike deflections from baseline
//
//  Description
//    A plot of spikes on a baseline
//
//  See also
//    PlotWaveCoeff
//    PlotPacketTable
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011
 [nargout,nargin]=argn();
    	if nargin<4,
		Length = 1;
	end // if loop
	tt = [t ; t ; t ];
	b = zeros(x) + base;
	xx = [b ; x+base ; b ];
	u = [ 0     ; tt(:) ; Length ];
	v = [  base ; xx(:) ; base ];
	plot(u,v);

 
endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
