function PlotWaveCoeff(wc,L,scal,f)
//  Spike-plot display of wavelet coefficients
//  Calling Sequence
//    PlotWaveCoeff(wc,L,scal)
//    PlotWaveCoeff(wc,L,scal,f)
//   Parameters
//  Inputs:
//    wc  :  1-d wavelet transform
//    L   :  level of coarsest scale
//    scal:  scale factor [0 ==> autoscale]
//   f: (optional) original signal, if empty, does not display the original signal    nor the scaling function coffs
//
//  Description
//    A display of wavelet coefficients (coarsest level 
//    NOT included) by level and position.
//
//  See also
//    PlotMultiRes
//    FWT_PO
//    IWT_PO
//    PlotSpikes
// Authors
//
// Copyright (c) 1993. David L. Donoho
//  Modified (and renamed) by Maureen Clerc and Jerome Kalifa, 1997
//  clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
//     H. Nahrstaedt - 2011
 [nargout,nargin]=argn();

        if nargin < 4, 
		f = [];
	end
	delta = 1/15;
	unit = (1-3*delta)/6;
	h3 = [delta delta 1-2*delta unit];
	h2 = [delta unit+delta 1-2*delta 4*unit];
	h1 = [delta 5*unit+2*delta 1-2*delta unit];

        wavecoef = ShapeAsRow(wc);
	[n,J] = dyadlength(wavecoef); 



// 	if scal==0, 
// 		scal = 1. / max(abs(wavecoef((2^(L)+1):n))); 
// 	end

   if ~isempty(f)
        subplot(313)
        //a3=newaxes();a1.axes_bounds=h3;
	plot(f)
	a=gca();a.data_bounds=([1 max(size(f)) min(f) max(f)]);
	title("original signal");
	//set(handle_axis,'YTick',[0 100 200]);
   end

// 	LockAxes([0 1 (-J) (-L+1)]);
// //
// 	for j=(J-1):-1:L
// 	  tj = (.5:(2^(j)-.5))./2^(j);
// 	  PlotSpikes(-j,tj,(wavecoef(dyad(j)).*scal));
// 	end
if ~isempty(f)
        subplot(312)
        //a2=newaxes();a1.axes_bounds=h2;
end;
	LockAxes([0 n 0 (J-L+1)])
//
	scale = .9;
	for j=(J-1):-1:L
	  tj = n.*(.5:(2^(j)-.5))./2^(j);
       ieeemod=ieee();ieee(2);
	  scal = 1 ./mtlb_max(abs(wavecoef(dyad(j))));
       ieee(ieeemod);
	  PlotSpikes(-j+J,tj,scale*(wavecoef(dyad(j)).*scal),n);
	  xstring(0,-j+J-1/5,sprintf('2^%d',-j+J));
	  //handle_axis = gca;
	  //set(handle_axis,'FontSize', 21);
	end
//
      title("wavelet coefficients");
      UnlockAxes();

   if ~isempty(f),
	subplot(311)
        //a1=newaxes();a1.axes_bounds=h1;
	j = L-1;
	w = zeros(1,n);
	w = wavecoef(1:2^(L));
	tj = n.*(.5:(2^(j+1)-.5))./2^(j+1);
	PlotSpikes(0,tj,w,n)
	a=gca();a.data_bounds=([0 n min(w) max(w)]);
	UnlockAxes();
// 	handle_axis = gca;
// 	set(handle_axis,'YTick',[]);
	title('Scaling function coefficients');
    end


//
endfunction
    
  
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
