function PlotWavePhase(wp,titlestr)
// Partition phase space by wavelet tiling
//  Calling Sequence
//    PlotWavePhase(pkt[,titlestr])
// Parameters
//  Inputs:
//    pkt  :     wavelet packet table
//    titlestr:  optional title string for plot
//
// Description
//    Phase plot with tiles doubling in width and
//    halving in height at each generation.
// Authors
//
// Copyright (c) 1993. David L. Donoho
//     H. Nahrstaedt - 2011

 [nargout,nargin]=argn();
	[n,L] = size(wp); D = L-1;
	wtree = zeros(1,2^L);
	for d=0:(D-1)
		wtree(node(d,0)) = 1;
	end
	if nargin < 2,
	   titlestr = ' ';
	end
	header =  'Wavelet Basis; '+ titlestr; 
	PlotPhasePlane('WP',wtree,wp,header)
	xlabel('Time'); ylabel('Frequency')


    endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
