function [Beta,alfa] = SAIDyadUp(afine,D,F,EF,t,j)
//SAI Dyad Up
//  Calling Sequence
//    [Beta,alfa] = SAIDyadUp(afine,D,F,EF,t,j)
//
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


n = max(size(afine));
acoarse = (afine(1:2:(n-1)) + afine(2:2:n)) ./ 2;
ahat = SegRefine(acoarse,D,F,EF,t,j);
adif = afine - ahat;
alfa = sqrt(2) .* adif(2:2:n);
Beta = sqrt(2) .* acoarse;
    
    
endfunction   
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
