function [x,thresh] = SUREThresh(y)
// Adaptive Threshold Selection Using Principle of SURE
//  Calling Sequence 
//    thresh = SUREThresh(y)
//   Parameters
//  Inputs :
//    y    :    Noisy Data with Std. Deviation = 1
//  Outputs :
//    x     :   Estimate of mean vector
//    thresh :  Threshold used
//
//  Description
//    SURE referes to Stein's Unbiased Risk Estimate.
//
// Authors
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
//H. Nahrstaedt - 2011

	thresh = ValSUREThresh(y);
	x      = HardThresh(y,thresh);    
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
