function x = SoftThresh(y,t)
// Apply Soft Threshold 
// Calling Sequence
//    x = SoftThresh(y,t)
//   Parameters
//  Inputs :
//    y    : Noisy Data 
//    t    : Threshold
//  Outputs :
//    x     :sign(y)(|y|-t)_+
// Authors
//
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
//H. Nahrstaedt - 2011

	res = (abs(y) - t);
	res = (res + abs(res))/2;
	x   = sign(y).*res;


endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
