function y = UpDyadHi_PBS(x,qmf)
// Hi-Pass Upsampling operator; periodized
//  Calling Sequence
//    u = UpDyadHi_PBS(d,f)
//  Parameters
//  Inputs:
//    d   : 1-d signal at coarser scale
//    sf  : symmetric filter
//  Outputs:
//    u   : 1-d signal at finer scale
//
//  See also
//    DownDyadLo_PBS
//    DownDyadHi_PBS
//    UpDyadLo_PBS
//    IWT_PBS
//    symm_aconv
//
// Authors
// Copyright (c) 1995. David L. Donoho
//  H. Nahrstaedt - 2011

	y = symm_aconv( MirrorSymmFilt(qmf), rshift( UpSampleN(x) ) );

endfunction
	

	
   
//  Revision History
//  10/1/05       AM      UpSample is changed to UpSampleN
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
