function y = UpDyadLo(x,qmf)
//  Lo-Pass Upsampling operator; periodized
//  Calling Sequence
//    u = UpDyadLo(d,f)
//  Parameters
//  Inputs:
//    d   : 1-d signal at coarser scale
//    f  : filter
//  Outputs:
//    u   : 1-d signal at finer scale
//
//  See also
//    DownDyadLo
//     DownDyadHi
//     UpDyadHi
//     IWT_PO
//     iconv
// Authors
//
// Copyright (c) 1993. Iain M. Johnstone
// Last modified on October 2005.    
//     H. Nahrstaedt - 2011

	y =  iconv(qmf, UpSampleN(x) );
	endfunction


//  Revision History
//  10/1/05       AM      UpSample is changed to UpSampleN


    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
