function x = UpDyad_SBS(Beta,alpha,qmf,dqmf)
// Symmetric Upsampling operator
//  Calling Sequence
//    x = UpDyad_SBS(beta,alpha,qmf,dqmf)
//  Parameters
//  Inputs:
//   beta : coarse coefficients
//   alpha: fine coefficients
//    qmf :  quadrature mirror filter
//   dqmf : dual quadrature mirror filter
//  Outputs:
//   x    : 1-d signal at fine scale
// See also
//   DownDyad_SBS
//   IWT_SBS
//
//  Authors
// Copyright (c) 1996. Thomas P.Y. Yu
//	H. Nahrstaedt - 2011

//
//        oddf = (modulo(length(qmf),2)==1);
 	        oddf = ~(qmf(1)==0 & qmf(max(size(qmf)))~=0);
 	        oddx = (max(size(Beta)) ~= max(size(alpha)));
 	       
 	        L = max(size(Beta))+max(size(alpha));
 	
 	        if oddf then
 	          if oddx then
 	            eBeta = extend(Beta,1,1);
 	            ealpha = extend(alpha,2,2);
 	          else
 	            eBeta = extend(Beta,2,1);
 	            ealpha = extend(alpha,1,2);
 	          end
 	        else
 	          if oddx then
 	            eBeta = extend(Beta,1,2);
 	            ealpha = [alpha 0 -reverse(alpha)];
 	          else
 	             eBeta = extend(Beta,2,2);
 	             ealpha = [alpha -reverse(alpha)];
 	          end
 	        end
 	
 	        coarse = UpDyadLo_PBS(eBeta,dqmf);
 	        fine = UpDyadHi_PBS(ealpha,qmf);
 	        x = coarse + fine;
 	        x = x(1:L);
 	        
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
