function [x] = VisuThresh(y,Type)
//  Visually calibrated Adaptive Smoothing
//  Calling Sequence
//    x = VisuThresh(y)
//  Parameters
//  Inputs:
//    y   :   Signal upon which to perform visually calibrated Adaptive Smoothing
//    Type :  Type of thresholding, either 'Soft' (default) or 'Hard'
//  Outputs:
//    x    :  Result
//
// Bibliography
//    ``Ideal Spatial Adaptation via Wavelet Shrinkage''
//    by D.L. Donoho and I.M. Johnstone.
// Authors
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// H. Nahrstaedt - 2011

 [nargout,nargin]=argn();
	if nargin < 2,
		Type = 'Soft';
	end

	thr = sqrt(2*log(max(size(y)))) ;
//
	if (Type=='Hard'),
		x = HardThresh(y,thr);
	else
		x = SoftThresh(y,thr);
	end


//
    
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
