function maxmap = WTMM(cwt,par)
// Wavelet Transform Maximum Modulus
//  Calling Sequence
//    maxmap = WTMM(cwt,par)
//  Parameters
//  Inputs:
//    cwt  :  Output of CWT
//    par   : optional. If present, keep thresholds only      above a certain value. UNUSED AT MOMENT
//  Outputs:
//    maxmap: binary array indicating presence of max or not
//
//  Description
//    Used to calculate fractal exponents etc. 
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	sz = size(cwt);
	nscale = sz(2);
	n = sz(1);
	
	maxmap = zeros(cwt);

	t      = 1:n;
	tplus  = rshift(t);
	tminus = lshift(t);
	cwt    = abs(cwt);
		
	for k=1:nscale,
	     localmax =  bool2s(cwt(t,k) > cwt(tplus,k) & cwt(t,k) > cwt(tminus,k)) ;
		 maxmap(t,k) = localmax(t);
	end
	endfunction
	
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
