function out = Wien_Filt_GWN(in,g,Beta,sigma)
//  Wiener filtering of the gaussian smoothed signal.
// Calling Sequence
//   out = Wien_Filt_GWN(in,g,beta,sigma)
//  Parameters
// Inputs:
//   in	:	Noisy input signal.
//   g	:	Low-pass filter.
//   beta:	s.d of the GWN before low-pass filtering to obtain the signal.
//   sigma:	s.d of the additve GWN
// Outputs:
//   out:		Restored image.
//
// Authors
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011

G=Wavelab_fft(g);
PG=abs(G.*G);
Num=PG*(Beta^2);
H=Num./(Num+sigma^2);
FZ=Wavelab_fft(in);
FY=FZ.*H;
out=real(Wavelab_ifft(FY));

endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
