function indnew = WrapAround(ind, n)
// Circular map onto 1:n
//  Calling Sequence
//    indnew = WrapAround(ind, n)
//  Parameters
//  Inputs:
//    ind :    vector to wrap
//    n    :   length of wrap
//
//  Description
//    indnew = (ind <= n) .* ind + (ind > n) .* (ind - n);
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

indnew = bool2s(ind <= n) .* ind + bool2s(ind > n) .* (ind - n);
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:41 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
