function [n,J] = dyadlength(x)
//  Find length and dyadic length of array
//  Calling Sequence
//    [n,J] = dyadlength(x)
//   Parameters
//  Inputs:
//    x   : array of length n = 2^J (hopefully)
//  Outputs:
//    n    :length(x)
//    J    :least power of two greater than n
// Description
//  Side Effects
//    A warning is issued if n is not a power of 2.
//
//  See also
//    quadlength
//    dyad
//    dyad2ix
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

  n = max(size(x));
  J = ceil(log(n)/log(2));
  if 2^J ~= n ,
      warning('Warning in dyadlength: n != 2^J')
  end
  endfunction


//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 