function r = reverse(x)
// Reverse order of elements in 1-d signal
//  Calling Sequence
//    r = reverse(x)
//   Parameters
//  Inputs:
//    x   :  1-d signal
//  Outputs:
//    r    : 1-d time-reversed signal
//
//  See also
//    flipud
//    fliplr
//
// Authors
// Copyright (c) 1993. David L. Donoho
//     H. Nahrstaedt - 2011

   r = x(max(size(x)):-1:1);
   endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
