function y = rshift(x)
// Circular right shift of 1-d signal
//  Calling Sequence
//    r = rshift(x)
//  Parameters
//  Inputs:
//    x  : 1-d signal
//  Outputs:
//    r  : 1-d signal    r(i) = x(i-1) except r(1) = x(n)
//
// Authors
// Copyright (c) 1993. Iain M. Johnstone
//    H. Nahrstaedt - 2011

	n = max(size(x));
	y = [ x(n) x( 1: (n-1) )];
endfunction
 
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
