function i = triad(j,par)
//  Index entire j-th triad of 1-d wavelet xform
//  Calling Sequence
//    ix = triad(j,par);
//   Parameters
//  Inputs
//    j   :  integer
//    par : 1 or 2
//  Outputs:
//    ix   : indices of wavelet coeffts at j-th level
// Authors
// Copyright (c) 1996. Thomas P.Y. Yu and David L. Donoho
// H. Nahrstaedt - 2011


// NOTE: CONFLICT WITH NONLINEAR/TRIAD.M.  triad(j) there = triad(j) here
// Q: Is there a way to make sure the copy of triad here is used?
  [nargout,nargin]=argn();
        if nargin == 1, par = 1; end
	
        if par==1,
	  i = (3^j+1): (2*(3^j));
	elseif par==2,
	  i = (2*(3^j)+1) : (3^(j+1));
	end


    
endfunction   
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
